(function($){
	"use strict";

	// Popup Sinlge Gallery
	if( $('.woocommerce-product-gallery__image').length && typeof Fancybox != 'undefined' ){
		Fancybox.bind("[data-fancybox]", {
		  // Your options go here
		});
	} 
    
    // Login
	$('.ova-login-register-woo li a').on('click', function(){
		var type = $(this).data('type');
		$('.ova-login-register-woo li').removeClass('active');
		$(this).parent('li').addClass('active');
		if( type === 'login' ){
			$('.woocommerce #customer_login .woocommerce-form.woocommerce-form-login').css('display', 'block');
			$('.woocommerce #customer_login .woocommerce-form.woocommerce-form-register').css('display', 'none');
		} else if( type === 'register' ){
			$('.woocommerce #customer_login .woocommerce-form.woocommerce-form-register').css('display', 'block');
			$('.woocommerce #customer_login .woocommerce-form.woocommerce-form-login').css('display', 'none');
		}
	})

	/* Gallery Slideshow */
	$('.ova-product-gallery-slideshow').each( function() {
		var that 	= $(this);
		var options = that.data('options') ? that.data('options') : {};

		var responsive_value = {
            0:{
                items:1,
                nav:false,
                dots:true,
            },
            768:{
              	items: 2,
            },
            1025:{
              	items: options.items,
            },
            1300:{
              	items: options.items,
            }
        };
        
        that.owlCarousel({
        	autoWidth: options.autoWidth,
			margin: options.margin,
			items: options.items,
			loop: options.loop,
			autoplay: options.autoplay,
			autoplayTimeout: options.autoplayTimeout,
			center: options.center,
			lazyLoad: options.lazyLoad,
			nav: options.nav,
			dots: options.dots,
			autoplayHoverPause: options.autoplayHoverPause,
			slideBy: options.slideBy,
			smartSpeed: options.smartSpeed,
			rtl: options.rtl,
			animateOut: "fadeOut",
			navText:[
	          	'<i aria-hidden="true" class="'+ options.nav_left +'"></i>',
	          	'<i aria-hidden="true" class="'+ options.nav_right +'"></i>'
	        ],
			responsive: responsive_value,
        });

        that.find('.gallery-fancybox').on('click', function() {
			var index = $(this).data('index');
			var gallery_data = $(this).closest('.ova-product-gallery-popup').find('.ova-data-gallery').data('gallery');

			Fancybox.show(gallery_data, {
            	Image: {
				    Panzoom: {
				      	zoomFriction: 0.7,
				      	maxScale: function () {
				        	return 3;
				      	},
				    },
			  	},
			  	startIndex: index,
			});
		});
	});

	/* Forms */
	$('.ova-forms-product').each( function() {
		var that = $(this);
		var item = that.find('.tabs .item');

		var special_offers 	= that.find('.special-offers');
		var special_price 	= that.find('.special-price');
		var close_popup 	= that.find('.close-popup');

		if ( item.length > 0 ) {
			item.each( function( index ) {
			  	if ( index == 0 ) {
			  		$(this).addClass('active');
			  		var id = $(this).data('id');
			  		$(id).show();
			  	}
			});
		}
        
		item.on('click', function() {
			item.removeClass('active');
			$(this).addClass('active');
			var id = $(this).data('id');

			if ( id == '#booking-form' ) {
				that.find('#request-form').hide();
			}

			if ( id == '#request-form' ) {
				that.find('#booking-form').hide();
			}
			
			$(id).show();
		});
        
        // Special offer & weekdays
		special_offers.on('click', function() {
			$(this).find('.special-price').css('display', 'block');
		});

		var view_discount 	= that.find('.view-discount-price');
		view_discount.on('click', function() {
			var discount_class = $(this).data('discount')
			var table_discount 	= $(this).closest('.boby-price').find('.'+discount_class);
			table_discount.slideToggle("slow");
		});

		var weekdays 		= that.find('.weekdays');
		var weekdays_price 	= that.find('.table-week-wrapper');
		weekdays.on('click', function() {
			$(this).find('.table-week-wrapper').css('display', 'block');
		});

		// window click
    	$(window).click( function(e) {
    		if ( e.target.className == 'special-price' || e.target.className == 'close-popup' ) {
    			special_price.hide();
    		}

    		if ( e.target.className == 'table-week-wrapper' || e.target.className == 'close-popup' ) {
    			weekdays_price.hide();
    		}
		});
	});

	/* Tabs */
	$('.ova-tabs-product').each( function() {
		var that = $(this);
		var item = that.find('.tabs .item');

		if ( item.length > 0 ) {
			item.each( function( index ) {
			  	if ( index == 0 ) {
			  		$(this).addClass('active');
			  		var id = $(this).data('id');
			  		$(id).show();
			  	}
			});
		}

		item.on('click', function() {
			item.removeClass('active');
			$(this).addClass('active');
			var id = $(this).data('id');

			if ( id == '#ova-product-description' ) {
				that.find('#ova-product-conditions-and-rules, #ova-product-review, #ova-product-video').hide();
			}

			if ( id == '#ova-product-conditions-and-rules' ) {
				that.find('#ova-product-description, #ova-product-review, #ova-product-video').hide();
			}

			if ( id == '#ova-product-video' ) {
				that.find('#ova-product-description, #ova-product-review, #ova-product-conditions-and-rules').hide();
			}

			if ( id == '#ova-product-review' ) {
				that.find('#ova-product-conditions-and-rules, #ova-product-description, #ova-product-video').hide();
			}
			
			$(id).show();
		});
	});
    
    /* Related Products */
	$(".ova-content-single-product .elementor-ralated-slide .elementor-ralated").each(function(){
        var owlsl      = $(this) ;
        var owlsl_ops  = owlsl.data('options') ? owlsl.data('options') : {};

        var responsive_value = {
            0:{
                items:1,
                dots: true,
                nav: false
            },
            576:{
                items:1,
            },
            767: {
            	items:2,
            },
            960:{
                items:owlsl_ops.items - 1,
            },
            1200:{
                items:owlsl_ops.items
            }
        };
        
        owlsl.owlCarousel({
            margin: owlsl_ops.margin,
            items: owlsl_ops.items,
            loop: owlsl_ops.loop,
            autoplay: owlsl_ops.autoplay,
            autoplayTimeout: owlsl_ops.autoplayTimeout,
            nav: owlsl_ops.nav,
            dots: owlsl_ops.dots,
            autoplayHoverPause: owlsl_ops.autoplayHoverPause,
            slideBy: owlsl_ops.slideBy,
            smartSpeed: owlsl_ops.smartSpeed,
            rtl: owlsl_ops.rtl,
            navText:[
	            '<i class="' + owlsl_ops.nav_left + '">',
	            '<i class="' + owlsl_ops.nav_right + '">',
            ],
            responsive: responsive_value,
        });

      	/* Fixed WCAG */
		owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
		owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
		owlsl.find(".owl-dots button").attr("title", "Dots");

    });
 
})(jQuery);