<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

/* Single Product */
if ( ! function_exists( 'vedhak_wc_before_main_content' ) ) {
    function vedhak_wc_before_main_content() {
        echo '<div class="ova-single-product">';
    }
}

if ( ! function_exists( 'vedhak_wc_after_main_content' ) ) {
    function vedhak_wc_after_main_content() {
        echo '</div>';
    }
}


/* Top Header */
if ( ! function_exists( 'vedhak_wc_before_single_product_top_header' ) ) {
    function vedhak_wc_before_single_product_top_header() {
        echo '<div class="single-product-top-header">';
    }
}

if ( ! function_exists( 'vedhak_wc_after_single_product_top_header' ) ) {
    function vedhak_wc_after_single_product_top_header() {
        echo '</div>';
    }
}

/* Product Summary Left */
if ( ! function_exists( 'vedhak_wc_before_single_product_summary_left' ) ) {
    function vedhak_wc_before_single_product_summary_left() {
        echo '<div class="ova-single-product-summary-left">';
    }
}

if ( ! function_exists( 'vedhak_wc_after_single_product_summary_left' ) ) {
    function vedhak_wc_after_single_product_summary_left() {
        echo '</div>';
    }
}

/* Product Summary Right */
if ( ! function_exists( 'vedhak_wc_before_single_product_summary_right' ) ) {
    function vedhak_wc_before_single_product_summary_right() {
        echo '<div class="ova-single-product-summary-right">';
    }
}

if ( ! function_exists( 'vedhak_wc_after_single_product_summary_right' ) ) {
    function vedhak_wc_after_single_product_summary_right() {
        echo '</div>';
    }
}

/* Title */
if ( ! function_exists( 'vedhak_wc_template_single_title' ) ) {
    function vedhak_wc_template_single_title() {
        wc_get_template( 'rental/loop/title.php' );
    }
}

/* Meta */
if ( ! function_exists( 'vedhak_wc_template_single_meta' ) ) {
    function vedhak_wc_template_single_meta() {
        wc_get_template( 'rental/loop/meta.php' );
    }
}

/* Video */
if ( ! function_exists( 'vedhak_wc_template_single_video' ) ) {
    function vedhak_wc_template_single_video() {
        wc_get_template( 'rental/loop/video.php' );
    }
}

/* Review */
if ( ! function_exists( 'vedhak_wc_template_single_review' ) ) {
    function vedhak_wc_template_single_review() {
        wc_get_template( 'rental/loop/review.php' );
    }
}

/* Gallery Slideshow */
if ( ! function_exists( 'vedhak_wc_template_single_slideshow' ) ) {
    function vedhak_wc_template_single_slideshow() {
        wc_get_template( 'rental/loop/gallery-slideshow.php' );
    }
} 

/* Features */
if ( ! function_exists( 'vedhak_wc_template_single_features' ) ) {
    function vedhak_wc_template_single_features() {
        wc_get_template( 'rental/loop/features.php' );
    }
}

/* Conditions and Rules */
if ( ! function_exists( 'vedhak_wc_template_single_conditions_and_rules' ) ) {
    function vedhak_wc_template_single_conditions_and_rules() {
        wc_get_template( 'rental/loop/conditions_and_rules.php' );
    }
}


/* Content */
if ( ! function_exists( 'vedhak_wc_before_single_product_content' ) ) {
    function vedhak_wc_before_single_product_content() {
        echo '<div class="row_site">
                <div class="container_site">';
    }
}

if ( ! function_exists( 'vedhak_wc_after_single_product_content' ) ) {
    function vedhak_wc_after_single_product_content() {
        echo '</div>
                </div>';
    }
}

/* Related */
if ( ! function_exists( 'vedhak_wc_template_single_product_related' ) ) {
    function vedhak_wc_template_single_product_related() {
        wc_get_template( 'rental/loop/related.php' );
    }
}


/* Description */
if ( ! function_exists( 'vedhak_wc_template_single_content' ) ) {
    function vedhak_wc_template_single_content() {
        wc_get_template( 'rental/loop/content.php' );
    }
}

/* Froms */
if ( ! function_exists( 'vedhak_wc_template_single_forms' ) ) {
    function vedhak_wc_template_single_forms() {
        wc_get_template( 'rental/loop/forms.php' );
    }
}

/* Weather */
if ( ! function_exists( 'vedhak_wc_template_single_weather' ) ) {
    function vedhak_wc_template_single_weather() {
        wc_get_template( 'rental/loop/weather.php' );
    }
}

/* Additional ( Shortcode special offer) */
if ( ! function_exists( 'vedhak_wc_template_single_additional' ) ) {
    function vedhak_wc_template_single_additional() {
        wc_get_template( 'rental/loop/additional.php' );
    }
}

/* Table Price */
if ( ! function_exists( 'vedhak_wc_template_single_table_price' ) ) {
    function vedhak_wc_template_single_table_price() {
        wc_get_template( 'rental/loop/table_price.php' );
    }
}

    if ( ! function_exists( 'vedhak_wc_template_single_period' ) ) {
        /**
         * Get product discount by period
         */
        function vedhak_wc_template_single_period() {
            wc_get_template( 'rental/loop/discount/period.php');
        }
    }

    if ( ! function_exists( 'vedhak_wc_template_single_hour' ) ) {
        /**
         * Get product discount by hour
         */
        function vedhak_wc_template_single_hour() {
            wc_get_template( 'rental/loop/discount/hour.php' );
        }
    }

    if ( ! function_exists( 'vedhak_wc_template_single_day' ) ) {
        /**
         * Get product discount by day
         */
        function vedhak_wc_template_single_day() {
            wc_get_template( 'rental/loop/discount/day.php' );
        }
    }

    if ( ! function_exists( 'vedhak_wc_template_single_gd_day' ) ) {
        /**
         * Get product discount by period
         */
        function vedhak_wc_template_single_gd_day() {
            wc_get_template( 'rental/loop/discount/global_discount_day.php');
        }
    }

    if ( ! function_exists( 'vedhak_wc_template_single_gd_hour' ) ) {
        /**
         * Get product discount by period
         */
        function vedhak_wc_template_single_gd_hour() {
            wc_get_template( 'rental/loop/discount/global_discount_hour.php');
        }
    }

    if ( ! function_exists( 'vedhak_wc_template_single_weekdays_price' ) ) {
        /**
         * Get product discount by weekdays
         */
        function vedhak_wc_template_single_weekdays_price() {
            wc_get_template( 'rental/loop/discount/weekdays.php' );
        }
    }

/* Unavailable time */
if ( ! function_exists( 'vedhak_wc_template_single_unavailable_time' ) ) {
    function vedhak_wc_template_single_unavailable_time() {
        wc_get_template( 'rental/loop/unavailable_time.php' );
    }
}



/* Content Product */
if ( ! function_exists( 'vedhak_template_wc_loop_item' ) ) {
    /**
     * Get after head product price in the loop.
     */
    function vedhak_template_wc_loop_item() {
        wc_get_template( 'rental/content-item-product.php' );
    }
}

/* Booking form */
// Dates
if ( ! function_exists( 'vedhak_booking_form_dates' ) ) {
    function vedhak_booking_form_dates( $args ) {
        wc_get_template( 'rental/loop/fields/dates.php', $args );
    }
}

// Guests
if ( ! function_exists( 'vedhak_booking_form_guests' ) ) {
    function vedhak_booking_form_guests( $args ) {
        wc_get_template( 'rental/loop/fields/guests.php', $args );
    }
}

// Extra Fields
if ( ! function_exists( 'vedhak_booking_form_extra_fields' ) ) {
    function vedhak_booking_form_extra_fields( $args ) {
        wc_get_template( 'rental/loop/fields/extra_fields.php', $args );
    }
}

// Quantity
if ( ! function_exists( 'vedhak_booking_form_quantity' ) ) {
    function vedhak_booking_form_quantity( $args ) {
        wc_get_template( 'rental/loop/fields/quantity.php', $args );
    }
}

// Services
if ( ! function_exists( 'vedhak_booking_form_services' ) ) {
    function vedhak_booking_form_services( $args ) {
        wc_get_template( 'rental/loop/fields/services.php', $args );
    }
}

// Resources
if ( ! function_exists( 'vedhak_booking_form_resources' ) ) {
    function vedhak_booking_form_resources( $args ) {
        wc_get_template( 'rental/loop/fields/resources.php', $args );
    }
}

// Deposit
if ( ! function_exists( 'vedhak_booking_form_deposit' ) ) {
    function vedhak_booking_form_deposit( $args ) {
        wc_get_template( 'rental/loop/fields/deposit.php', $args );
    }
}

// Ajax Total
if ( ! function_exists( 'vedhak_booking_form_ajax_total' ) ) {
    function vedhak_booking_form_ajax_total( $args ) {
        wc_get_template( 'rental/loop/fields/ajax-total.php', $args );
    }
}