<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

add_action( 'vedhak_wc_before_main_content', 'vedhak_wc_before_main_content', 10 );
add_action( 'vedhak_wc_after_main_content', 'vedhak_wc_after_main_content', 10 );

// Header
add_action( 'vedhak_wc_before_single_product_header', 'vedhak_wc_before_single_product_header', 5 );
add_action( 'vedhak_wc_after_single_product_header', 'vedhak_wc_after_single_product_header', 5 );
add_action( 'vedhak_wc_single_product_header', 'vedhak_wc_template_single_slideshow', 10 );

// Content
add_action( 'vedhak_wc_before_single_product_content', 'vedhak_wc_before_single_product_content', 10 );

add_action( 'vedhak_wc_before_single_product_summary_left', 'vedhak_wc_before_single_product_summary_left', 15 );

add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_title', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_meta', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_content', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_features', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_conditions_and_rules', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_video', 20 );
add_action( 'vedhak_wc_single_product_summary_left', 'vedhak_wc_template_single_review', 20 );

add_action( 'vedhak_wc_after_single_product_summary_left', 'vedhak_wc_after_single_product_summary_left', 15 );


add_action( 'vedhak_wc_before_single_product_summary_right', 'vedhak_wc_before_single_product_summary_right', 15 );

add_action( 'vedhak_wc_single_product_summary_right', 'vedhak_wc_template_single_forms', 20 );

// table price
add_action( 'vedhak_wc_template_single_table_price', 'vedhak_wc_template_single_table_price', 20 );
add_action( 'vedhak_wc_template_single_period', 'vedhak_wc_template_single_period', 20 );
add_action( 'vedhak_wc_template_single_day', 'vedhak_wc_template_single_day', 20 );
add_action( 'vedhak_wc_template_single_gd_day', 'vedhak_wc_template_single_gd_day', 20 );
add_action( 'vedhak_wc_template_single_hour', 'vedhak_wc_template_single_hour', 20 );
add_action( 'vedhak_wc_template_single_gd_hour', 'vedhak_wc_template_single_gd_hour', 20 );
add_action( 'vedhak_wc_template_single_weekdays_price', 'vedhak_wc_template_single_weekdays_price', 20 );

add_action( 'vedhak_wc_single_product_summary_right', 'vedhak_wc_template_single_unavailable_time', 20 );
add_action( 'vedhak_wc_single_product_summary_right', 'vedhak_wc_template_single_weather', 20 );
add_action( 'vedhak_wc_single_product_summary_right', 'vedhak_wc_template_single_additional', 20 );

add_action( 'vedhak_wc_after_single_product_summary_right', 'vedhak_wc_after_single_product_summary_right', 15 );

add_action( 'vedhak_wc_after_single_product_content', 'vedhak_wc_after_single_product_content', 10 );

// Related
add_action( 'vedhak_wc_single_product_related', 'vedhak_wc_template_single_product_related', 20 );


/**
 * Vedhak Product Loop Items.
 * @see vedhak_wc_loop_item()
 */

add_action( 'vedhak_wc_loop_item', 'vedhak_template_wc_loop_item', 10 );

// Booking form
add_action( 'vedhak_booking_form', 'vedhak_booking_form_dates', 5 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_guests', 5 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_extra_fields', 10 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_quantity', 10 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_services', 15 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_resources', 15 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_deposit', 20 );
add_action( 'vedhak_booking_form', 'vedhak_booking_form_ajax_total', 25 );