<?php
/**
 * The template for displaying global discount content within single
 *
 * This template can be overridden by copying it to yourtheme/ovabrw-templates/single/table-price/global_discount.php
 *
 */

if ( ! defined( 'ABSPATH' ) ) exit();

// Get all id product
$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $id     = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $id     = $all_ids[0];

} else {
    $id     = get_the_id();
}

$gd_duration_type 		= get_post_meta( $id, 'ovabrw_global_discount_duration_type', true );
$gd_duration_val_min 	= get_post_meta( $id, 'ovabrw_global_discount_duration_val_min', true );
$gd_duration_val_max  	= get_post_meta( $id, 'ovabrw_global_discount_duration_val_max', true );

if ( $gd_duration_val_min ) asort( $gd_duration_val_min );
if ( $gd_duration_val_max ) asort( $gd_duration_val_max );

$gd_price = get_post_meta( $id, 'ovabrw_global_discount_price', true );

$title_text = esc_html__( 'Min - Max (Days)', 'vedhak' );
$price_text = esc_html__( 'Price/Day', 'vedhak' ); 

?>
<?php if ( !empty( $gd_duration_val_min ) || !empty( $gd_duration_val_max ) ): ?>
	<div class="price_table">
		<h3><?php esc_html_e( 'Global Discount', 'vedhak' ); ?></h3>
		<table>
			<thead>
				<tr>
					<th><?php echo esc_html($title_text); ?></th>
					<th><?php echo esc_html($price_text); ?></th>
				</tr>
			</thead>
			<tbody>
				<?php
					$k = 0;
					foreach( $gd_duration_val_min as $key => $value ): 
						if ( $gd_duration_type[$key] == 'days' ): ?>
							<tr class="<?php echo intval($k%2) ? 'eve' : 'odd'; $k++; ?>">
								<td class="bold" data-title="<?php echo esc_attr($title_text); ?>">
									<?php echo esc_html( $gd_duration_val_min[$key] ); ?>
									-
									<?php echo esc_html( $gd_duration_val_max[$key] ); ?>
								</td>
								<td data-title="<?php echo esc_html($price_text).' '.esc_html__( 'from', 'vedhak' ).' '.$gd_duration_val_min[$key].' - '.$gd_duration_val_max[$key].' '.esc_html__( 'days', 'vedhak' ); ?>">
									<?php echo wc_price( $gd_price[$key] ); ?>
								</td>
							</tr>			
				<?php endif; endforeach; ?>
			</tbody>
		</table>
	</div>
<?php endif; ?>