<?php

if ( ! defined( 'ABSPATH' ) ) exit();

// Get all id product
$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $id     = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $id     = $all_ids[0];

} else {
    $id     = get_the_id();
}

$daily 	= ovabrw_p_weekdays( $id );

?>

<?php if ( !empty( $daily ) ): ?>
	<div class="table-week-wrapper">
		<div class="price-table-week">
			<h2 class="title-week"><?php esc_html_e( 'Price by day of the week', 'vedhak' ); ?></h2>
			<table>
				<thead>
					<tr>
						<th><?php esc_html_e( 'Weekdays', 'vedhak' ); ?></th>
						<th><?php esc_html_e( 'Price', 'vedhak' ); ?></th>
					</tr>
				</thead>
				<tbody>
					<?php foreach ( $daily as $k => $value ): 
						switch ( $k ) {
							case 'monday':
								$day = esc_html__( 'Monday', 'vedhak' );
								break;
							case 'tuesday':
								$day = esc_html__( 'Tuesday', 'vedhak' );
								break;
							case 'wednesday':
								$day = esc_html__( 'Wednesday', 'vedhak' );
								break;
							case 'thursday':
								$day = esc_html__( 'Thursday', 'vedhak' );
								break;
							case 'friday':
								$day = esc_html__( 'Friday', 'vedhak' );
								break;
							case 'saturday':
								$day = esc_html__( 'Saturday', 'vedhak' );
								break;	
							case 'sunday':
								$day = esc_html__( 'Sunday', 'vedhak' );
								break;		
							
							default:
								$day = '';
								break;
						}
					?>
						<tr>
							<td class="bold">
								<?php echo esc_html( $day ); ?>
							</td>
							<td data-title="<?php echo esc_attr( $day ); ?>">
								<?php echo wc_price( $value ); ?>
							</td>
						</tr>
					<?php endforeach; ?>
				</tbody>
			</table>
			<div class="close-popup">x</div>
		</div>
	</div>
<?php endif; ?>

