<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $product_id = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $product_id = $all_ids[0];

} else {
    $product_id = get_the_id();
}

$label_features = get_post_meta( $product_id, 'ovabrw_label_feature', true );
$features_desc  = get_post_meta( $product_id, 'ovabrw_features_desc', true );
$features_label = get_post_meta( $product_id, 'ovabrw_features_label', true );
$features_icons = get_post_meta( $product_id, 'ovabrw_features_icons', true );
$features_id    = get_post_meta( $product_id, 'ovabrw_features_id', true );

?>

<?php if( $label_features ): ?>
    <div class="ovabrw_features-wrapper">

        <?php for( $i = 0; $i < count( $label_features ); $i++ ): 
            $label_group_feature = $label_features[$i];
        ?>

            <div class="ova-features-product">

                <label>
                    <?php echo esc_html( $label_features[$i] ); ?>
                </label>

                <?php if ( !empty( $features_id ) && isset( $features_id[$i] ) ): ?>
                    <?php foreach( $features_id[$i] as $key => $value ): ?>
                        <div class="feature">
                            <i aria-hidden="true" class="<?php echo esc_attr( isset($features_icons[$i][$key]) ? $features_icons[$i][$key] : '' ); ?>"></i>
                            <div class="title-desc">
                                <h6 class="title">
                                    <?php echo esc_html( isset($features_label[$i][$key]) ? $features_label[$i][$key] : '' ); ?>
                                </h6>
                                <span class="desc">
                                    <?php echo esc_html( isset($features_desc[$i][$key]) ? $features_desc[$i][$key] : '' ); ?>
                                </span>
                            </div>
                        </div>
                    <?php endforeach; ?>
                <?php endif; ?>

            </div>

        <?php endfor; ?>

    </div>
<?php endif; ?>