<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$product_id = isset( $args['id'] ) && $args['id'] ? $args['id'] : get_the_id();

$product = wc_get_product( $product_id );

if ( !$product || !$product->is_type('ovabrw_car_rental') ) return;

$min_guest = get_post_meta( $product_id,'ovabrw_guest_min', true );
$max_guest = get_post_meta( $product_id,'ovabrw_guest_max', true );

$guests    = isset( $_GET['ovabrw_guests'] ) ? $_GET['ovabrw_guests'] : $min_guest;

?>

<div class="rental_item">
    <label><?php esc_html_e( 'Guests', 'vedhak' ); ?></label>
        <input 
            type="number" 
            class="ovabrw-guests" 
            name="ovabrw_guests" 
            value="<?php echo esc_attr( $guests ); ?>" 
            min="<?php echo esc_attr( $min_guest ); ?>" 
            max="<?php echo esc_attr( $max_guest ); ?>" 
        />
</div>