<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$product_id = isset( $args['id'] ) && $args['id'] ? $args['id'] : get_the_id();

$product = wc_get_product( $product_id );

if ( !$product || !$product->is_type('ovabrw_car_rental') ) return;

$ovabrw_rs_id 	= get_post_meta( $product_id, 'ovabrw_resource_id', true );
$form 			= isset( $args['form'] ) && $args['form'] ? $args['form'] : '';

?>

<?php if ( $ovabrw_rs_id ): 
	$ovabrw_rs_name     = get_post_meta( $product_id, 'ovabrw_resource_name', true );
	$ovabrw_rs_price 	= get_post_meta( $product_id, 'ovabrw_resource_price', true );

	$ovabrw_rs_duration_type = get_post_meta( $product_id, 'ovabrw_resource_duration_type', true );

?>
	<div class="ovabrw-resources rental_item">
		<label>
            <?php esc_html_e( 'Extra Services', 'vedhak' ); ?>
        </label>

		<?php foreach ( $ovabrw_rs_id as $k => $id ): 
			if ( $id ):
				$rs_name 			= isset( $ovabrw_rs_name[$k] ) ? $ovabrw_rs_name[$k] : '';
				$rs_price 	= isset( $ovabrw_rs_price[$k] ) ? $ovabrw_rs_price[$k] : 0;
				$rs_duration_type 	= isset( $ovabrw_rs_duration_type[$k] ) ? $ovabrw_rs_duration_type[$k] : 'person';
		?>
			<div class="item">
				<div class="ovabrw-resource-title">
					<?php if ( 'request' === $form ): ?>
						<input 
							type="checkbox" 
							id="ovabrw_request_rs_checkbox_<?php echo esc_attr( $k ).""; ?>" 
							data-rs-key="<?php echo esc_attr( $id ); ?>" 
							name="ovabrw_rs_checkboxs[<?php echo esc_attr( $id ); ?>]" 
							value="<?php echo esc_attr( $rs_name ); ?>" 
							class="ovabrw_resource_checkboxs" />
						<span class="checkmark"></span>
						<label for="ovabrw_request_rs_checkbox_<?php echo esc_attr( $k); ?>">
							<?php echo esc_html( $rs_name ); ?>
						</label>
					<?php else: ?>
						<input 
							type="checkbox" 
							id="ovabrw_rs_checkbox_<?php echo esc_attr( $k ); ?>" 
							data-rs-key="<?php echo esc_attr( $id ); ?>" 
							name="ovabrw_rs_checkboxs[<?php echo esc_attr( $id ); ?>]" 
							value="<?php echo esc_attr( $rs_name ); ?>" 
							class="ovabrw_resource_checkboxs" />
						<span class="checkmark"></span>
						<label for="ovabrw_rs_checkbox_<?php echo esc_attr( $k); ?>">
							<?php echo esc_html( $rs_name ); ?>
						</label>
					<?php endif; ?>
				</div>
				<div class="ovabrw-resource-price">
					<div class="resource-price">
						<div class="ovabrw-guests-price">
							<span class="amount">
								<?php echo wc_price( $rs_price ); ?>
							</span>
							<?php if ( apply_filters( 'ft_resources_show_duration', true ) ): ?>
								<span class="ovabrw-rs-duration">
									<?php if ( 'days' === $rs_duration_type ): ?>
										<?php echo esc_html__( '/days', 'vedhak' ); ?>
									<?php elseif( 'hours' === $rs_duration_type): ?>
										<?php echo esc_html__( '/hours', 'vedhak' ); ?>
									<?php else: ?>
										<?php echo esc_html__( '/total', 'vedhak' ); ?>
									<?php endif; ?>
								</span>
							<?php endif; ?>
						</div>
					</div>
				</div>
			</div>
		<?php endif; endforeach; ?>
	</div>
<?php endif; ?>