<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$product_id = isset( $args['id'] ) && $args['id'] ? $args['id'] : get_the_id();

$product = wc_get_product( $product_id );

if ( !$product || !$product->is_type('ovabrw_car_rental') ) return;
	
$ovabrw_label_service 		= get_post_meta( $product_id, 'ovabrw_label_service', true );
$ovabrw_service_required 	= get_post_meta( $product_id, 'ovabrw_service_required', true );
$ovabrw_service_id 			= get_post_meta( $product_id, 'ovabrw_service_id', true );
$ovabrw_service_name 		= get_post_meta( $product_id, 'ovabrw_service_name', true );
$ovabrw_service_price 		= get_post_meta( $product_id, 'ovabrw_service_price', true );
$service_duration_type 		= get_post_meta( $product_id, 'ovabrw_service_duration_type', true );

?>

<?php if( $ovabrw_label_service ): ?>
	<div class="ovabrw_services rental_item">
		<label>
            <?php esc_html_e( 'Services', 'vedhak' ); ?>
        </label>

		<?php for( $i = 0; $i < count( $ovabrw_label_service ); $i++ ): 
			$label_group_service 		= $ovabrw_label_service[$i];
			$ovabrw_service_required 	= isset( $ovabrw_service_required[$i] ) ? $ovabrw_service_required[$i] : '';
			$required = '';

			if ( 'yes' === $ovabrw_service_required ) {
				$required = ' class="required"';
			}
		?>
			<div class="ovabrw_service_select">
				<select 
					name="ovabrw_service[]"<?php echo esc_html( $required ); ?> 
					data-error="<?php printf( esc_html__( '%s is required.', 'vedhak' ), $label_group_service ); ?>">
					<option value="">
						<?php printf( esc_html__( 'Select %s', 'vedhak' ), $label_group_service ); ?>
					</option>
					<?php if ( !empty( $ovabrw_service_id ) && isset( $ovabrw_service_id[$i] ) ): ?>
						<?php foreach( $ovabrw_service_id[$i] as $key => $value ): 
							$service_name 	= isset( $ovabrw_service_name[$i][$key] ) ? $ovabrw_service_name[$i][$key] : '';
							$service_price 	= isset( $ovabrw_service_price[$i][$key] ) ? $ovabrw_service_price[$i][$key] : 0;
							$duration_type 	= isset( $service_duration_type[$i][$key] ) ? $service_duration_type[$i][$key] : 'days';
							$html_duration 	= esc_html__( '/total', 'vedhak' );

							if ( 'days' === $duration_type ) {
								$html_duration = esc_html__( '/days', 'vedhak' );
							} elseif('hours' === $duration_type) {
								$html_duration = esc_html__( '/hours', 'vedhak' );
							} else {
								$html_duration = esc_html__( '/total', 'vedhak' );
							}

							$html_price = '';
							
							$html_price = sprintf( esc_html__( ' (Price: %s%s)', 'vedhak' ), wc_price($service_price), $html_duration );

						?>
							<option value="<?php echo esc_attr( $value ); ?>">
								<?php if ( apply_filters( 'ft_services_show_duration', true ) ): ?>
									<?php echo esc_html($service_name) . sprintf('%s', $html_price); ?>
								<?php else: ?>
									<?php echo esc_html($service_name); ?>
								<?php endif; ?>
							</option>
						<?php endforeach; ?>
					<?php endif; ?>
				</select>
			</div>
		<?php endfor; ?>
	</div>
<?php endif; ?>