<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $product_id     = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $product_id     = $all_ids[0];

} else {
    $product_id     = get_the_id();
}

$price_type    = get_post_meta( $product_id, 'ovabrw_price_type', true )   ? get_post_meta( $product_id, 'ovabrw_price_type', true )   : 'day' ;
$price_hour    = get_post_meta( $product_id, 'ovabrw_regul_price_hour', true );
$price_day     = get_post_meta( $product_id, '_regular_price', true );

// Get price
$petime_price   = get_post_meta( $product_id, 'ovabrw_petime_price', true );

$min = $max = 0;
if ( $price_type == 'period_time' && $petime_price && is_array( $petime_price ) ) {
    $min = min( $petime_price );
    $max = max( $petime_price );
}

// has special offers
$has_special_offers = false;
if ( 'period_time' === $price_type ) {
    $petime_label = get_post_meta( $product_id, 'ovabrw_petime_label', true ); 

    if ( ! empty( $petime_label ) ) {
        $has_special_offers = true;
    }
} elseif ( 'hour' === $price_type || 'mixed' === $price_type ) {
    $rt_price_hour  = get_post_meta( $product_id, 'ovabrw_rt_price_hour', true );

    if ( $rt_price_hour ) {
        $has_special_offers = true;
    }
} elseif ( 'day' === $price_type || 'mixed' === $price_type ) {
    $rt_price = get_post_meta( $product_id, 'ovabrw_rt_price', true );

    if ( $rt_price ) {
        $has_special_offers = true;
    }
}


$has_daily_price    = false;
$monday_price       = get_post_meta( $product_id, 'ovabrw_daily_monday', true );
$tuesday_price      = get_post_meta( $product_id, 'ovabrw_daily_tuesday', true );
$wednesday_price    = get_post_meta( $product_id, 'ovabrw_daily_wednesday', true );
$thursday_price     = get_post_meta( $product_id, 'ovabrw_daily_thursday', true );
$friday_price       = get_post_meta( $product_id, 'ovabrw_daily_friday', true );
$saturday_price     = get_post_meta( $product_id, 'ovabrw_daily_saturday', true );
$sunday_price       = get_post_meta( $product_id, 'ovabrw_daily_sunday', true );

if ( $monday_price || $tuesday_price || $wednesday_price || $thursday_price || $friday_price || $saturday_price || $sunday_price ) {
    $has_daily_price = true;
}

?>

<div class="ova-forms-product">
    <div class="forms-wrapper">

        <div class="price-product-wrapper">

            <div class="price-product">
                <label><?php esc_html_e('From','vedhak');?></label>

                <?php if ( $price_type == 'day' ): ?>
                    <span class="product-amount"><?php echo wc_price( $price_day ); ?></span>
                    <span class="define_1_day">
                        <?php esc_html_e( '/day', 'vedhak' ); ?>
                    </span>
                <?php elseif ( $price_type == 'hour' ): ?>
                    <span class="product-amount"><?php echo wc_price( $price_hour ); ?></span>
                    <span class="define_1_day">
                        <?php esc_html_e( '/hour', 'vedhak' ); ?>     
                    </span>
                <?php elseif ( $price_type == 'mixed' ): ?>
                    <div class="mixed-hour">
                        <span class="product-amount">
                            <?php echo wc_price( $price_hour ); ?>       
                        </span>
                        <span class="define_1_day"><?php esc_html_e( '/hour', 'vedhak' ); ?></span>
                    </div>
                    <div class="mixed-day">
                        <span class="product-amount"><?php echo wc_price( $price_day ); ?></span>
                        <span class="define_1_day"><?php esc_html_e( '/day', 'vedhak' ); ?></span>
                    </div>
                <?php elseif ( $price_type == 'period_time' ): ?>
                    <?php if ( $min && $max && $min == $max ): ?>
                        <div class="product-amount">
                            <span class="amount"><?php echo wc_price( $min ); ?></span>
                        </div>
                    <?php elseif ( $min && $max ): ?>
                        <div class="product-amount">
                            <span class="amount"><?php echo wc_price( $min ). ' - ' .wc_price( $max ); ?></span>
                        </div>
                    <?php else: ?>
                        <div class="product-amount">
                            <?php esc_html_e( 'Option Price', 'vedhak' ); ?>
                        </div>
                    <?php endif; ?>
                <?php else: ?>
                    <span class="product-amount">
                        <?php esc_html_e( 'Option price', 'vedhak' ); ?>      
                    </span>
                <?php endif; ?>
            </div>

            <div class="ova-special-time">
                <?php if ( $has_special_offers ): ?>
                    <div class="special-offers">
                        <span class="discount-icon discount-icon-price">
                           <i class="ovaicon ovaicon-tag"></i>
                        </span>
                        <span class="open-offers"><?php esc_html_e( 'Special Offers', 'vedhak' ); ?></span>
                        <?php do_action( 'vedhak_wc_template_single_table_price'); ?>
                    </div>
                <?php endif; ?>
                <?php if ( ( $price_type == 'day' || $price_type == 'mixed' ) && $has_daily_price ): ?>
                    <div class="weekdays">
                        <span class="discount-icon">
                            <i class="ovaicon ovaicon-calendar"></i>
                        </span>
                        <span class="open-offers"><?php esc_html_e( 'Weekdays', 'vedhak' ); ?></span>
                        <?php do_action( 'vedhak_wc_template_single_weekdays_price'); ?>
                    </div>
                <?php endif; ?>
            </div>

        </div>

        <div class="tabs">
            <?php if ( get_option( 'ova_brw_template_show_booking_form', 'yes' ) == 'yes' ): ?>
                <div class="item" data-id="#booking-form">
                    <?php esc_html_e( 'Booking Form', 'vedhak' ); ?>
                </div>
            <?php endif; ?>
            <?php if ( get_option( 'ova_brw_template_show_request_booking', 'yes' ) == 'yes' ): ?>
                <div class="item" data-id="#request-form">
                    <?php esc_html_e( 'Enquiry From', 'vedhak' ); ?>
                </div>
            <?php endif; ?>
        </div>

        <?php
            /* Booking Form */
            wc_get_template( 'rental/loop/booking-form.php', array( 'id' => $product_id ) );
            wc_get_template( 'rental/loop/request-form.php', array( 'id' => $product_id ) );
        ?>
    </div>
</div>