<?php 
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if( ! defined( 'ABSPATH' ) ) exit();

$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $product_id     = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $product_id     = $all_ids[0];

} else {
    $product_id     = get_the_id();
}

$custom_taxonomy_choosed = '';
if( function_exists('get_all_cus_tax_dis_listing') ){
	$custom_taxonomy_choosed = get_all_cus_tax_dis_listing( $product_id );	
}

$i = 1;
$limit = apply_filters( 'vedhak_limit_custom_taxonomies_display', 3 );

// area
$area  = get_post_meta($product_id,'ovabrw_acreage_number',true);

// guests
$min_guest  = get_post_meta($product_id,'ovabrw_guest_min',true);
$max_guest  = get_post_meta($product_id,'ovabrw_guest_max',true);

?>

<div class="ova-product-meta">
	<ul class="meta-list">
		<?php if ( ! empty( $custom_taxonomy_choosed ) && is_array( $custom_taxonomy_choosed ) ) : foreach ( $custom_taxonomy_choosed as $taxonomy ):
			if ( $i > $limit ) {
				continue;
			}
		?>
			<li class="label">
				<?php if( $taxonomy['term_link'] ) { ;?>
					<a href="<?php echo esc_url($taxonomy['term_link']);?>">
				<?php } ?>
					<?php echo esc_html( $taxonomy['name'] ); ?>
				<?php if( $taxonomy['term_link'] ) { ;?>
					</a>
				<?php } ?>	
			</li>
		<?php $i++; endforeach; endif; ?>
		<?php if( !empty($area) ) : ?>
			<li class="label"><?php echo esc_html( $area ); ?></li>
		<?php endif; ?>
		<?php if( !empty($max_guest) && !empty($min_guest)  ) : ?>
			<li class="label"><?php echo esc_html( $min_guest ) . ' - ' .esc_html( $max_guest ) . ' ' . esc_html__('persons','vedhak'); ?></li>
		<?php endif; ?>
	</ul>
</div>