<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$product_id = isset( $args['id'] ) && $args['id'] ? $args['id'] : get_the_id();
$product    = wc_get_product( $product_id );
$title      = $product->get_title();

if ( !$product || !$product->is_type('ovabrw_car_rental') ) return;

?>

<div class="ova-request-form" id="request-form">
    <form 
        class="form request-form" 
        action="<?php echo home_url('/'); ?>" 
        method="post" 
        enctype="multipart/form-data">

        <div class="ovabrw-form-container">
            <div class="rental_item"> 
                <label>
                    <?php esc_html_e( 'Name *', 'vedhak' ); ?>
                </label>
                <input 
                    type="text" 
                    class="required" 
                    name="name" 
                    placeholder="<?php esc_html_e( 'Your name', 'vedhak' ); ?> "
                    data-error="<?php esc_html_e( 'Name is required.', 'vedhak' ); ?>" />
            </div>
            <div class="rental_item"> 
                <label>
                    <?php esc_html_e( 'Email *', 'vedhak' ); ?>
                </label>
                <input 
                    type="text" 
                    class="required" 
                    name="email" 
                    placeholder="<?php esc_html_e( 'example@gmail.com', 'vedhak' ); ?> "
                    data-error="<?php esc_html_e( 'Email is required.', 'vedhak' ); ?>" />
            </div>
            <?php if ( 'yes' === ovabrw_get_setting( get_option('ova_brw_request_booking_form_show_number', 'yes') ) ): ?>
                <div class="rental_item"> 
                    <label>
                        <?php esc_html_e( 'Phone *', 'vedhak' ); ?>
                    </label>
                    <input 
                        type="text" 
                        class="required" 
                        name="phone" 
                        placeholder="<?php esc_html_e( '(229) 555-2872', 'vedhak' ); ?>" 
                        data-error="<?php esc_html_e( 'Phone is required.', 'vedhak' ); ?>" />
                </div>
            <?php endif; ?>
            <?php if ( 'yes' === ovabrw_get_setting( get_option('ova_brw_request_booking_form_show_address', 'yes') ) ): ?>
                <div class="rental_item"> 
                    <label>
                        <?php esc_html_e( 'Address *', 'vedhak' ); ?>
                    </label>
                    <input 
                        type="text" 
                        class="required" 
                        name="address" 
                        placeholder="<?php esc_html_e( 'Your address', 'vedhak' ); ?>" 
                        data-error="<?php esc_html_e( 'Address is required.', 'vedhak' ); ?>" />
                </div>
            <?php endif; ?>
            <?php if ( 'yes' === ovabrw_get_setting( get_option( 'ova_brw_request_booking_form_show_dates', 'yes' ) ) ): ?>
                <?php wc_get_template( 'rental/loop/fields/dates.php', array( 'id' => $product_id ) ); ?>
            <?php endif; ?>
            <?php wc_get_template( 'rental/loop/fields/guests.php', array( 'id' => $product_id ) ); ?>
            <?php wc_get_template( 'rental/loop/fields/quantity.php', array( 'id' => $product_id ) ); ?>
            <?php wc_get_template( 'rental/loop/fields/extra_fields.php', array( 'id' => $product_id ) ); ?>
            <?php wc_get_template( 'rental/loop/fields/services.php', array( 'id' => $product_id ) ); ?>
            <?php wc_get_template( 'rental/loop/fields/resources.php', array( 'id' => $product_id, 'form' => 'request' ) ); ?>
            <?php if ( 'yes' === ovabrw_get_setting( get_option( 'ova_brw_request_booking_form_show_extra_info', 'yes' ) ) ): ?>
                <div class="rental_item">
                    <textarea name="extra" cols="50" rows="5" placeholder="<?php esc_html_e( 'Extra Information', 'vedhak' ); ?>"></textarea>
                </div>
            <?php endif; ?>
        </div>
        <div class="ajax-error"></div>
        <button type="submit" class="request-form-submit">
            <?php esc_html_e( 'Send Now', 'vedhak' ); ?>
        </button>
        <input type="hidden" name="product_name" value="<?php echo esc_html( $title ); ?>" />
        <input type="hidden" name="product_id" value="<?php echo esc_attr( $product_id ); ?>" />
        <input type="hidden" name="request_booking" value="request_booking" />
        <input type="hidden" name="quantity" value="1" />
    </form>
</div>