<?php 
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if( ! defined( 'ABSPATH' ) ) exit();

// Get all id product
$all_ids = ovabrw_get_all_id_product();

if( isset( $args['id'] ) && $args['id'] != '' ) {

    $product_id     = ( in_array( $args['id'], $all_ids ) == true ) ? $args['id'] : get_the_id();

} elseif( in_array( get_the_id(), $all_ids ) == false ) {

    $product_id     = $all_ids[0];

} else {
    $product_id     = get_the_id();
}

// Check product type: rental
$product = wc_get_product( $product_id );
if ( ! $product || $product->get_type() !== 'ovabrw_car_rental' ) return;

$price_type = get_post_meta( $product_id, 'ovabrw_price_type', true );

?>

<div class="special-price">
	<div class="special-price-wrapper">
		<?php if ( $price_type == 'period_time' ): ?>
			<div class="special-price-content">
				<h3 class="special-price-title">
					<?php esc_html_e( 'Special Time', 'vedhak' ); ?>
				</h3>
				<?php do_action( 'vedhak_wc_template_single_period' ); ?>
			</div>
		<?php endif; ?>

		<?php if ( $price_type == 'hour' || $price_type == 'mixed' ): ?>
			<div class="global-special-price-content">
				<?php do_action( 'vedhak_wc_template_single_gd_hour' ); ?>
			</div>
			<div class="special-price-content">
				<h3 class="special-price-title">
					<?php esc_html_e( 'Special Time', 'vedhak' ); ?>
				</h3>
					<?php do_action( 'vedhak_wc_template_single_hour' ); ?>
			</div>
		<?php endif; ?>
		
		<?php if ( $price_type == 'day' || $price_type == 'mixed' ): ?>
			<div class="global-special-price-content">
				<?php do_action( 'vedhak_wc_template_single_gd_day' ); ?>
			</div>
			<div class="special-price-content">
				<h2 class="special-price-title">
					<?php esc_html_e( 'Special Time', 'vedhak' ); ?>
				</h2>
				<?php do_action( 'vedhak_wc_template_single_day' ); ?>
			</div>
		<?php endif; ?>
		<div class="close-popup">x</div>
	</div>
</div>