<?php
/**
 * @package    Vedhak by ovatheme
 * @author     Ovatheme
 * @copyright  Copyright (C) 2022 Ovatheme All Rights Reserved.
 * @license    GNU/GPL v2 or later http://www.gnu.org/licenses/gpl-2.0.html
 */

if ( !defined( 'ABSPATH' ) ) exit();

$all_ids = ovabrw_get_all_id_product();

if ( isset( $args['product_id'] ) && $args['product_id'] != '' ) {
    $product_id = ( in_array( $args['product_id'], $all_ids ) == true ) ? $args['product_id'] : get_the_id();
} elseif ( in_array( get_the_id(), $all_ids ) == false ) {
    $product_id = $all_ids[0];
} else {
    $product_id = get_the_id();
}

$tour_description   = wpautop( get_post($product_id)->post_content );

// Description
$description_label  = isset( $args['description_label'] ) ? $args['description_label'] : esc_html__( 'Description', 'vedhak' );
$show_description   = isset( $args['show_description'] ) ? $args['show_description'] : 'yes';

// Conditions and Rules
$cond_rule_label  = isset( $args['cond_rule_label'] ) ? $args['cond_rule_label'] : esc_html__( 'Conditions and Rules', 'vedhak' );
$show_cond_rule   = isset( $args['show_cond_rule'] ) ? $args['show_cond_rule'] : 'yes';

// Reviews
$reviews_label  = isset( $args['reviews_label'] ) ? $args['reviews_label'] : esc_html__( 'Reviews', 'vedhak' );
$show_reviews   = isset( $args['show_reviews'] ) ? $args['show_reviews'] : 'yes';

// Video
$video_label    = isset( $args['video_label'] ) ? $args['video_label'] : esc_html__( 'Video', 'vedhak' );
$show_video     = isset( $args['show_video'] ) ? $args['show_video'] : 'yes';

?>

<div class="ova-tabs-product">
    <div class="tabs">
        <?php if ( ! empty( $tour_description ) && $show_description === 'yes' ) { ?>
            <div class="item" data-id="#ova-product-description">
                <?php echo esc_html( $description_label ); ?>
            </div>
        <?php } ?>
        <?php if ( $show_cond_rule === 'yes' ) {  ?>
            <div class="item" data-id="#ova-product-conditions-and-rules">
                <?php echo esc_html( $cond_rule_label ); ?>
            </div>
        <?php } ?>
        <?php if ( $show_video === 'yes' ) {  ?>
            <div class="item" data-id="#ova-product-video">
                <?php echo esc_html( $video_label ); ?>
            </div>
        <?php } ?>
        <?php if ( $show_reviews === 'yes' ) {  ?>
            <div class="item" data-id="#ova-product-review">
                <?php echo esc_html( $reviews_label ); ?>
            </div>
        <?php } ?>
    </div>
    <?php
        /* Tab Content */
        wc_get_template( 'rental/loop/content_and_features.php', array( 'id' => $product_id ) );
        wc_get_template( 'rental/loop/conditions_and_rules.php', array( 'id' => $product_id ) );
        wc_get_template( 'rental/loop/video.php', array( 'id' => $product_id ) );
        wc_get_template( 'rental/loop/review.php', array( 'id' => $product_id ) );
    ?>
</div>