<?php if ( ! defined( 'ABSPATH' ) ) exit();

if ( ! class_exists( 'Ovabrw_Metabox' ) ) {
     class Ovabrw_Metabox{
        // Constructor
        public function __construct(){
            add_action( 'save_post', array( $this, 'ovabrw_save_meta_box' ) );

            // Render metabox of Product
            add_action( 'woocommerce_product_options_general_product_data', array( $this, 'ovabrw_render_fields_metabox' ) );

            // Save metabox of Product
            add_action( 'after_wcfm_products_manage_meta_save', array( $this, 'ovabrw_save_fields_metabox' ), 10, 2 );
            add_action( 'woocommerce_process_product_meta', array( $this, 'ovabrw_save_fields_metabox' ), 10, 2 );   
        }

        // Save metabox field
        public function ovabrw_save_meta_box() {
            $product_id = get_the_id();

            if ( isset( $_POST ) && ! empty( $_POST ) ) {
                $ovabrw_metabox['ovabrw_key']   = isset( $_POST['ovabrw_key'] ) ? sanitize_text_field( $_POST['ovabrw_key'] ) : '';
                $ovabrw_metabox['ovabrw_value'] = isset( $_POST['ovabrw_value'] ) ? sanitize_text_field( $_POST['ovabrw_value'] ) : '';

                foreach ( $ovabrw_metabox as $key => $value ) {
                    update_post_meta($product_id, $key, $value);

                    if ( get_post_meta( $product_id, $key, FALSE ) ) { 
                        update_post_meta($product_id, $key, $value);
                    } else {
                        add_post_meta( $product_id, $key, $value );
                    }
                }
            }
        }
        
        public function ovabrw_render_fields_metabox() {
            include( OVABRW_PLUGIN_PATH.'/admin/metabox/ovabrw-custom-fields.php' );
        }
        
        // Save metabox of Product
        public function ovabrw_save_fields_metabox( $post_id, $data ) {
            if ( ! is_array( $data ) ) {
                $data = $_POST;
            }

            // Area Video
            $ovabrw_acreage_number = isset($data['ovabrw_acreage_number']) ? $data['ovabrw_acreage_number'] : '';
            update_post_meta( $post_id, 'ovabrw_acreage_number', $ovabrw_acreage_number );

            // Embed Video
            $ovabrw_embed_video = isset($data['ovabrw_embed_video']) ? $data['ovabrw_embed_video'] : '';
            update_post_meta( $post_id, 'ovabrw_embed_video', $ovabrw_embed_video );


            $ovabrw_regul_price_hour = isset($data['ovabrw_regul_price_hour']) ? $data['ovabrw_regul_price_hour'] : '';
            update_post_meta( $post_id, 'ovabrw_regul_price_hour', esc_attr( $ovabrw_regul_price_hour) );

            $ovabrw_manage_store = isset($data['ovabrw_manage_store']) ? $data['ovabrw_manage_store'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_store', esc_attr( $ovabrw_manage_store) ); 

            $ovabrw_car_count = isset($data['ovabrw_car_count']) ? $data['ovabrw_car_count'] : '';
            update_post_meta( $post_id, 'ovabrw_car_count', esc_attr( $ovabrw_car_count) );

            $ovabrw_amount_insurance = isset($data['ovabrw_amount_insurance']) ? $data['ovabrw_amount_insurance'] : '';
            update_post_meta( $post_id, 'ovabrw_amount_insurance', esc_attr( $ovabrw_amount_insurance) );

            $ovabrw_car_order = isset($data['ovabrw_car_order']) ? $data['ovabrw_car_order'] : 1;
            update_post_meta( $post_id, 'ovabrw_car_order', esc_attr( $ovabrw_car_order) );
            
            // deposit
            $ovabrw_enable_deposit = isset($data['ovabrw_enable_deposit']) ? $data['ovabrw_enable_deposit'] : 'no';
            update_post_meta( $post_id, 'ovabrw_enable_deposit', esc_attr( $ovabrw_enable_deposit) );

            $ovabrw_force_deposit = isset($data['ovabrw_force_deposit']) ? $data['ovabrw_force_deposit'] : 'no';
            update_post_meta( $post_id, 'ovabrw_force_deposit', esc_attr( $ovabrw_force_deposit) );

            $ovabrw_type_deposit = isset($data['ovabrw_type_deposit']) ? $data['ovabrw_type_deposit'] : 'percent';
            update_post_meta( $post_id, 'ovabrw_type_deposit', esc_attr( $ovabrw_type_deposit) );

            $ovabrw_amount_deposit = isset($data['ovabrw_amount_deposit']) ? $data['ovabrw_amount_deposit'] : 0;
            update_post_meta( $post_id, 'ovabrw_amount_deposit', esc_attr( $ovabrw_amount_deposit) );

            // Global Discount (GD)
            $ovabrw_global_discount_duration_val_min = isset($data['ovabrw_global_discount_duration_val_min']) ? $data['ovabrw_global_discount_duration_val_min'] : '';
            update_post_meta( $post_id, 'ovabrw_global_discount_duration_val_min', $ovabrw_global_discount_duration_val_min );

            $ovabrw_global_discount_duration_val_max = isset($data['ovabrw_global_discount_duration_val_max']) ? $data['ovabrw_global_discount_duration_val_max'] : '';
            update_post_meta( $post_id, 'ovabrw_global_discount_duration_val_max', $ovabrw_global_discount_duration_val_max );

            $ovabrw_global_discount_price = isset($data['ovabrw_global_discount_price']) ? $data['ovabrw_global_discount_price'] : '';
            update_post_meta( $post_id, 'ovabrw_global_discount_price', $ovabrw_global_discount_price );

            $ovabrw_global_discount_duration_type = isset($data['ovabrw_global_discount_duration_type']) ? $data['ovabrw_global_discount_duration_type'] : '';
            update_post_meta( $post_id, 'ovabrw_global_discount_duration_type', $ovabrw_global_discount_duration_type );

            // Price/Day
            $ovabrw_rt_price = isset($data['ovabrw_rt_price']) ? $data['ovabrw_rt_price'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_price', $ovabrw_rt_price );

            // Price/Hour
            $ovabrw_rt_price_hour = isset($data['ovabrw_rt_price_hour']) ? $data['ovabrw_rt_price_hour'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_price_hour', $ovabrw_rt_price_hour );

            $ovabrw_rt_startdate = isset($data['ovabrw_rt_startdate']) ? $data['ovabrw_rt_startdate'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_startdate', $ovabrw_rt_startdate );

            $ovabrw_rt_starttime = isset($data['ovabrw_rt_starttime']) ? $data['ovabrw_rt_starttime'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_starttime', $ovabrw_rt_starttime );

            $time_current = current_time( 'timestamp' );
            $ovabrw_rt_timestamp_start = $ovabrw_rt_string_start = [];

            if ( !empty( $ovabrw_rt_startdate ) && !empty( $ovabrw_rt_starttime ) && is_array( $ovabrw_rt_startdate ) && is_array( $ovabrw_rt_starttime ) ) {
                foreach( $ovabrw_rt_startdate as $key => $start_date ) {
                    $start_timestamp = ovabrw_get_timestamp_by_date_and_hour($start_date, $ovabrw_rt_starttime[$key]);
                    $start_string = 
                    $ovabrw_rt_timestamp_start[] = $start_timestamp;
                    $ovabrw_rt_string_start[] = $start_date . ' ' . $ovabrw_rt_starttime[$key];
                }
            }
            update_post_meta( $post_id, 'ovabrw_start_timestamp', $ovabrw_rt_timestamp_start );
            update_post_meta( $post_id, 'ovabrw_rt_string_start', $ovabrw_rt_string_start );

            $ovabrw_rt_enddate = isset($data['ovabrw_rt_enddate']) ? $data['ovabrw_rt_enddate'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_enddate', $ovabrw_rt_enddate );

            $ovabrw_rt_endtime = isset($data['ovabrw_rt_endtime']) ? $data['ovabrw_rt_endtime'] : '';
            update_post_meta( $post_id, 'ovabrw_rt_endtime', $ovabrw_rt_endtime );

            $ovabrw_rt_timestamp_end = $ovabrw_rt_string_end = [];

            if ( !empty( $ovabrw_rt_enddate ) && !empty( $ovabrw_rt_endtime ) && is_array( $ovabrw_rt_enddate ) && is_array( $ovabrw_rt_endtime ) ) {
                foreach( $ovabrw_rt_enddate as $key => $end_date ) {
                    $end_timestamp = ovabrw_get_timestamp_by_date_and_hour($end_date , $ovabrw_rt_endtime[$key]);
                    $ovabrw_rt_timestamp_end[] = $end_timestamp;
                    $ovabrw_rt_string_end[] = $end_date . ' ' . $ovabrw_rt_endtime[$key];
                }
            }
            update_post_meta( $post_id, 'ovabrw_end_timestamp', $ovabrw_rt_timestamp_end );
            update_post_meta( $post_id, 'ovabrw_rt_string_end', $ovabrw_rt_string_end );

            $ovabrw_rt_discount = isset($data['ovabrw_rt_discount']) ? $data['ovabrw_rt_discount'] : '';

            if ( is_array($ovabrw_rt_discount) && array_key_exists('ovabrw_key', $ovabrw_rt_discount) ) {
                unset($ovabrw_rt_discount['ovabrw_key']);// Remove array has key is ovabrw_key 
            }
            update_post_meta( $post_id, 'ovabrw_rt_discount', $ovabrw_rt_discount );

            $ovabrw_untime_startdate = isset($data['ovabrw_untime_startdate']) ? $data['ovabrw_untime_startdate'] : '';
            update_post_meta( $post_id, 'ovabrw_untime_startdate', $ovabrw_untime_startdate );

            $ovabrw_untime_enddate = isset($data['ovabrw_untime_enddate']) ? $data['ovabrw_untime_enddate'] : '';
            update_post_meta( $post_id, 'ovabrw_untime_enddate', $ovabrw_untime_enddate );

            $ovabrw_untime_starttime = isset($data['ovabrw_untime_starttime']) ? $data['ovabrw_untime_starttime'] : '';
            update_post_meta( $post_id, 'ovabrw_untime_starttime', $ovabrw_untime_starttime );

            $ovabrw_untime_endtime = isset($data['ovabrw_untime_endtime']) ? $data['ovabrw_untime_endtime'] : '';
            update_post_meta( $post_id, 'ovabrw_untime_endtime', $ovabrw_untime_endtime );

            $ovabrw_product_disable_week_day = isset($data['ovabrw_product_disable_week_day']) ? $data['ovabrw_product_disable_week_day'] : '';
            update_post_meta( $post_id, 'ovabrw_product_disable_week_day', $ovabrw_product_disable_week_day );

            // Guest
            $ovabrw_guest_max = isset($data['ovabrw_guest_max']) && $data['ovabrw_guest_max'] ? $data['ovabrw_guest_max'] : 10;
            update_post_meta( $post_id, 'ovabrw_guest_max', $ovabrw_guest_max );

            $ovabrw_guest_min = isset($data['ovabrw_guest_min']) && $data['ovabrw_guest_min'] ? $data['ovabrw_guest_min'] : 1;
            update_post_meta( $post_id, 'ovabrw_guest_min', $ovabrw_guest_min );

            $ovabrw_resource_name = isset($data['ovabrw_resource_name']) ? $data['ovabrw_resource_name'] : '';
            update_post_meta( $post_id, 'ovabrw_resource_name', $ovabrw_resource_name );

            $ovabrw_resource_id = isset($data['ovabrw_resource_id']) ? $data['ovabrw_resource_id'] : '';
            update_post_meta( $post_id, 'ovabrw_resource_id', $ovabrw_resource_id );

            $ovabrw_resource_price = isset($data['ovabrw_resource_price']) ? $data['ovabrw_resource_price'] : '';
            update_post_meta( $post_id, 'ovabrw_resource_price', $ovabrw_resource_price );

            $ovabrw_resource_duration_type = isset($data['ovabrw_resource_duration_type']) ? $data['ovabrw_resource_duration_type'] : '';
            update_post_meta( $post_id, 'ovabrw_resource_duration_type', $ovabrw_resource_duration_type );

            $ovabrw_label_service = isset($data['ovabrw_label_service']) ? $data['ovabrw_label_service'] : [];
            update_post_meta( $post_id, 'ovabrw_label_service', $ovabrw_label_service );

            $ovabrw_service_required = isset($data['ovabrw_service_required']) ? $data['ovabrw_service_required'] : [];
            update_post_meta( $post_id, 'ovabrw_service_required', $ovabrw_service_required );

            $ovabrw_service_id = isset($data['ovabrw_service_id']) ? $data['ovabrw_service_id'] : [];
            update_post_meta( $post_id, 'ovabrw_service_id', $ovabrw_service_id );

            $ovabrw_service_name = isset($data['ovabrw_service_name']) ? $data['ovabrw_service_name'] : [];
            update_post_meta( $post_id, 'ovabrw_service_name', $ovabrw_service_name );

            $ovabrw_service_price = isset($data['ovabrw_service_price']) ? $data['ovabrw_service_price'] : [];
            update_post_meta( $post_id, 'ovabrw_service_price', $ovabrw_service_price );

            $ovabrw_service_duration_type = isset($data['ovabrw_service_duration_type']) ? $data['ovabrw_service_duration_type'] : [];
            update_post_meta( $post_id, 'ovabrw_service_duration_type', $ovabrw_service_duration_type );

            $ovabrw_rent_day_max = isset($data['ovabrw_rent_day_max']) ? $data['ovabrw_rent_day_max'] : '';
            update_post_meta( $post_id, 'ovabrw_rent_day_max', $ovabrw_rent_day_max );

            $ovabrw_rent_hour_max = isset($data['ovabrw_rent_hour_max']) ? $data['ovabrw_rent_hour_max'] : '';
            update_post_meta( $post_id, 'ovabrw_rent_hour_max', $ovabrw_rent_hour_max );

            $ovabrw_rent_day_min = isset($data['ovabrw_rent_day_min']) ? $data['ovabrw_rent_day_min'] : 1;
            if ( $ovabrw_rent_day_min != '' ) {
                update_post_meta( $post_id, 'ovabrw_rent_day_min', $ovabrw_rent_day_min );  
            } else {
                update_post_meta( $post_id, 'ovabrw_rent_day_min', 1 );  
            }

            $ovabrw_rent_hour_min = isset($data['ovabrw_rent_hour_min']) ? $data['ovabrw_rent_hour_min'] : 1;
            if ( $ovabrw_rent_hour_min != '' ) {
                update_post_meta( $post_id, 'ovabrw_rent_hour_min', $ovabrw_rent_hour_min );  
            } else {
                update_post_meta( $post_id, 'ovabrw_rent_hour_min', 1 );  
            }

            $ovabrw_price_type = isset($data['ovabrw_price_type']) ? $data['ovabrw_price_type'] : '';

            if ( !empty( $ovabrw_price_type ) ) {
                update_post_meta( $post_id, 'ovabrw_price_type', $ovabrw_price_type );  
            } else {
                update_post_meta( $post_id, 'ovabrw_price_type', 'mixed' );  
            }

            $ovabrw_unfixed_time = isset($data['ovabrw_unfixed_time']) ? $data['ovabrw_unfixed_time'] : '';
            update_post_meta( $post_id, 'ovabrw_unfixed_time', $ovabrw_unfixed_time );

            $ovabrw_define_1_day = isset($data['ovabrw_define_1_day']) ? $data['ovabrw_define_1_day'] : '';
            update_post_meta( $post_id, 'ovabrw_define_1_day', $ovabrw_define_1_day );
            
            // Feature
            $ovabrw_label_feature = isset($data['ovabrw_label_feature']) ? $data['ovabrw_label_feature'] : [];
            update_post_meta( $post_id, 'ovabrw_label_feature', $ovabrw_label_feature );

            $ovabrw_features_desc = isset($data['ovabrw_features_desc']) ? $data['ovabrw_features_desc'] : '';
            update_post_meta( $post_id, 'ovabrw_features_desc', $ovabrw_features_desc );

            $ovabrw_features_label = isset($data['ovabrw_features_label']) ? $data['ovabrw_features_label'] : '';
            update_post_meta( $post_id, 'ovabrw_features_label', $ovabrw_features_label );

            $ovabrw_features_icons = isset($data['ovabrw_features_icons']) ? $data['ovabrw_features_icons'] : '';
            update_post_meta( $post_id, 'ovabrw_features_icons', $ovabrw_features_icons );

            $ovabrw_features_id = isset($data['ovabrw_features_id']) ? $data['ovabrw_features_id'] : [];
            update_post_meta( $post_id, 'ovabrw_features_id', $ovabrw_features_id );
            

            $ovabrw_id_vehicles = isset($data['ovabrw_id_vehicles']) ? $data['ovabrw_id_vehicles'] : '';
            update_post_meta( $post_id, 'ovabrw_id_vehicles', $ovabrw_id_vehicles );  

            
            $ovabrw_petime_price = isset($data['ovabrw_petime_price']) ? $data['ovabrw_petime_price'] : '';
            update_post_meta( $post_id, 'ovabrw_petime_price', $ovabrw_petime_price );

            $ovabrw_petime_days = isset($data['ovabrw_petime_days']) ? $data['ovabrw_petime_days'] : '';
            update_post_meta( $post_id, 'ovabrw_petime_days', $ovabrw_petime_days );

            $ovabrw_petime_id  = isset($data['ovabrw_petime_id']) ? $data['ovabrw_petime_id'] : '';
            update_post_meta( $post_id, 'ovabrw_petime_id', $ovabrw_petime_id );

            $ovabrw_petime_label  = isset($data['ovabrw_petime_label']) ? $data['ovabrw_petime_label'] : '';
            update_post_meta( $post_id, 'ovabrw_petime_label', $ovabrw_petime_label );

            $ovabrw_petime_discount = isset($data['ovabrw_petime_discount']) ? $data['ovabrw_petime_discount'] :'';

            if ( is_array($ovabrw_petime_discount) && array_key_exists('ovabrw_key', $ovabrw_petime_discount)) {
                unset($ovabrw_petime_discount['ovabrw_key']);// Remove array has key is ovabrw_key 
            }
            update_post_meta( $post_id, 'ovabrw_petime_discount', $ovabrw_petime_discount );

            $ovabrw_package_type = isset($data['ovabrw_package_type']) ? $data['ovabrw_package_type'] : '';
            update_post_meta( $post_id, 'ovabrw_package_type', $ovabrw_package_type );

            $ovabrw_pehour_start_time = isset($data['ovabrw_pehour_start_time']) ? $data['ovabrw_pehour_start_time'] : '';
            update_post_meta( $post_id, 'ovabrw_pehour_start_time', $ovabrw_pehour_start_time );

            $ovabrw_pehour_end_time = isset($data['ovabrw_pehour_end_time']) ? $data['ovabrw_pehour_end_time'] : '';
            update_post_meta( $post_id, 'ovabrw_pehour_end_time', $ovabrw_pehour_end_time );

            $ovabrw_pehour_unfixed = isset($data['ovabrw_pehour_unfixed']) ? $data['ovabrw_pehour_unfixed'] : '';
            update_post_meta( $post_id, 'ovabrw_pehour_unfixed', $ovabrw_pehour_unfixed );

            $ovabrw_prepare_vehicle = isset($data['ovabrw_prepare_vehicle']) ? $data['ovabrw_prepare_vehicle'] : '';
            update_post_meta( $post_id, 'ovabrw_prepare_vehicle', $ovabrw_prepare_vehicle );

            $ovabrw_prepare_vehicle_day = isset($data['ovabrw_prepare_vehicle_day']) ? $data['ovabrw_prepare_vehicle_day'] : '';
            update_post_meta( $post_id, 'ovabrw_prepare_vehicle_day', $ovabrw_prepare_vehicle_day );

            $ovabrw_extra_tab_shortcode = isset($data['ovabrw_extra_tab_shortcode']) ? $data['ovabrw_extra_tab_shortcode'] : '';
            update_post_meta( $post_id, 'ovabrw_extra_tab_shortcode', $ovabrw_extra_tab_shortcode );

            $ovabrw_manage_extra_tab = isset($data['ovabrw_manage_extra_tab']) ? $data['ovabrw_manage_extra_tab'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_extra_tab', $ovabrw_manage_extra_tab );

            $ovabrw_manage_time_book_start = isset($data['ovabrw_manage_time_book_start']) ? $data['ovabrw_manage_time_book_start'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_time_book_start', $ovabrw_manage_time_book_start );

            $ovabrw_product_time_to_book_start = isset($data['ovabrw_product_time_to_book_start']) ? $data['ovabrw_product_time_to_book_start'] : '';
            update_post_meta( $post_id, 'ovabrw_product_time_to_book_start', $ovabrw_product_time_to_book_start );

            $ovabrw_manage_time_book_end = isset($data['ovabrw_manage_time_book_end']) ? $data['ovabrw_manage_time_book_end'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_time_book_end', $ovabrw_manage_time_book_end );

            $ovabrw_product_time_to_book_end = isset($data['ovabrw_product_time_to_book_end']) ? $data['ovabrw_product_time_to_book_end'] : '';
            update_post_meta( $post_id, 'ovabrw_product_time_to_book_end', $ovabrw_product_time_to_book_end );

            $ovabrw_manage_default_hour_start = isset($data['ovabrw_manage_default_hour_start']) ? $data['ovabrw_manage_default_hour_start'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_default_hour_start', $ovabrw_manage_default_hour_start );

            $ovabrw_product_default_hour_start = isset($data['ovabrw_product_default_hour_start']) ? $data['ovabrw_product_default_hour_start'] : '';
            update_post_meta( $post_id, 'ovabrw_product_default_hour_start', $ovabrw_product_default_hour_start );

            $ovabrw_manage_default_hour_end = isset($data['ovabrw_manage_default_hour_end']) ? $data['ovabrw_manage_default_hour_end'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_default_hour_end', $ovabrw_manage_default_hour_end );

            $ovabrw_product_default_hour_end = isset($data['ovabrw_product_default_hour_end']) ? $data['ovabrw_product_default_hour_end'] : '';
            update_post_meta( $post_id, 'ovabrw_product_default_hour_end', $ovabrw_product_default_hour_end );

            $ovabrw_manage_custom_checkout_field = isset($data['ovabrw_manage_custom_checkout_field']) ? $data['ovabrw_manage_custom_checkout_field'] : '';
            update_post_meta( $post_id, 'ovabrw_manage_custom_checkout_field', $ovabrw_manage_custom_checkout_field );

            $ovabrw_product_custom_checkout_field = isset($data['ovabrw_product_custom_checkout_field']) ? $data['ovabrw_product_custom_checkout_field'] : '';
            update_post_meta( $post_id, 'ovabrw_product_custom_checkout_field', $ovabrw_product_custom_checkout_field );

            $ovabrw_show_pickup_date_product = isset($data['ovabrw_show_pickup_date_product']) ? $data['ovabrw_show_pickup_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_show_pickup_date_product', $ovabrw_show_pickup_date_product );

            $ovabrw_label_pickup_date_product = isset($data['ovabrw_label_pickup_date_product']) ? $data['ovabrw_label_pickup_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_label_pickup_date_product', $ovabrw_label_pickup_date_product );

            $ovabrw_new_pickup_date_product = isset($data['ovabrw_new_pickup_date_product']) ? $data['ovabrw_new_pickup_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_new_pickup_date_product', $ovabrw_new_pickup_date_product );

            $ovabrw_show_pickoff_date_product = isset($data['ovabrw_show_pickoff_date_product']) ? $data['ovabrw_show_pickoff_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_show_pickoff_date_product', $ovabrw_show_pickoff_date_product );

            $ovabrw_dropoff_date_by_setting = isset($data['ovabrw_dropoff_date_by_setting']) ? $data['ovabrw_dropoff_date_by_setting'] : '';
            update_post_meta( $post_id, 'ovabrw_dropoff_date_by_setting', $ovabrw_dropoff_date_by_setting );

            $ovabrw_label_dropoff_date_product = isset($data['ovabrw_label_dropoff_date_product']) ? $data['ovabrw_label_dropoff_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_label_dropoff_date_product', $ovabrw_label_dropoff_date_product );

            $ovabrw_new_dropoff_date_product = isset($data['ovabrw_new_dropoff_date_product']) ? $data['ovabrw_new_dropoff_date_product'] : '';
            update_post_meta( $post_id, 'ovabrw_new_dropoff_date_product', $ovabrw_new_dropoff_date_product );

            $ovabrw_show_number_vehicle = isset($data['ovabrw_show_number_vehicle']) ? $data['ovabrw_show_number_vehicle'] : '';
            update_post_meta( $post_id, 'ovabrw_show_number_vehicle', $ovabrw_show_number_vehicle );

            $ovabrw_daily_monday = isset($data['ovabrw_daily_monday']) ? $data['ovabrw_daily_monday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_monday', $ovabrw_daily_monday );

            $ovabrw_daily_tuesday = isset($data['ovabrw_daily_tuesday']) ? $data['ovabrw_daily_tuesday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_tuesday', $ovabrw_daily_tuesday );

            $ovabrw_daily_wednesday = isset($data['ovabrw_daily_wednesday']) ? $data['ovabrw_daily_wednesday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_wednesday', $ovabrw_daily_wednesday );

            $ovabrw_daily_thursday = isset($data['ovabrw_daily_thursday']) ? $data['ovabrw_daily_thursday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_thursday', $ovabrw_daily_thursday );

            $ovabrw_daily_friday = isset($data['ovabrw_daily_friday']) ? $data['ovabrw_daily_friday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_friday', $ovabrw_daily_friday );

            $ovabrw_daily_saturday = isset($data['ovabrw_daily_saturday']) ? $data['ovabrw_daily_saturday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_saturday', $ovabrw_daily_saturday );

            $ovabrw_daily_sunday = isset($data['ovabrw_daily_sunday']) ? $data['ovabrw_daily_sunday'] : '';
            update_post_meta( $post_id, 'ovabrw_daily_sunday', $ovabrw_daily_sunday );
        }
    }
}

new Ovabrw_Metabox();