(function($){
	"use strict";
	

	$(window).on('elementor/frontend/init', function () {

		/* Search Select 2 */
		$(".ovabrw-search .ovabrw-search-form").each(function(){
	        $('.search_in_taxonomy .brw_custom_taxonomy_dropdown, #ovabrw_package').select2({ 
	        	width: '100%',
	        });
	    });

		/* Search Ajax */
		$(".ovabrw-search-ajax .wrap-search-ajax").each(function(){

		    // Sort by filer dropdown
			function sort_by_filter_dropdown(){

				var sort_by  		      = $('.ovabrw-tour-filter .input_select_input');
				var sort_by_value  	 	  = $('.ovabrw-tour-filter .input_select_input_value');
				var term_item 		      = $('.ovabrw-tour-filter .input_select_list .term_item');
				var sort_by_text_default  = $('.ovabrw-tour-filter .input_select_list .term_item_selected').data('value');
				var sort_by_value_default = $('.ovabrw-tour-filter .input_select_list .term_item_selected').data('id');	
                
                sort_by.attr('value',sort_by_text_default);
				sort_by_value.attr('value',sort_by_value_default);

				sort_by.on('click', function () {
		        	$(this).closest('.filter-sort').find('.input_select_list').toggle();
		        	$(this).toggleClass( 'active' );
		        });

		        $('.ovabrw-tour-filter .asc_desc_sort').on('click', function () {
		        	$(this).closest('.ovabrw-tour-filter').find('.input_select_list').toggle();
		        	$(this).closest('.ovabrw-tour-filter').find('.input_select_input').toggleClass( 'active' );
		        });

		        term_item.on('click', function () {
		        	$(this).closest('.ovabrw-tour-filter').find('.input_select_list').hide();

		        	// change term item selected
		        	var item_active   = $('.ovabrw-tour-filter .input_select_list .term_item_selected').data('id');
		            var item          = $(this).data('id');
		            if ( item != item_active ) {
		                term_item.removeClass('term_item_selected');
		                $(this).addClass('term_item_selected');
		            }

		            // get value, id sort by
		            var sort_value = $(this).data('id');
		            var sort_label = $(this).data('value');

	                // change input select text
		        	sort_by.val(sort_label);
		        	// change input value
		        	sort_by_value.val(sort_value);
		        });
		    } 

		    sort_by_filter_dropdown();    

	    });

		/* Product slider */ 
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_slider.default', function(){

			$(".ova-product-slider").each(function(){
		        var owlsl      = $(this) ;
		        var owlsl_ops  = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
                        items:1,
                        dots: true,
                    },
                    576:{
                        items:1,
                    },
                    767: {
                    	items:2,
                    },
                    960:{
                        items:owlsl_ops.items - 1,
                    },
                    1200:{
                        items:owlsl_ops.items
                    }
		        };
		        
		        owlsl.owlCarousel({
		            margin: owlsl_ops.margin,
		            items: owlsl_ops.items,
		            loop: owlsl_ops.loop,
		            autoplay: owlsl_ops.autoplay,
		            autoplayTimeout: owlsl_ops.autoplayTimeout,
		            nav: owlsl_ops.nav,
		            dots: owlsl_ops.dots,
		            autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		            slideBy: owlsl_ops.slideBy,
		            smartSpeed: owlsl_ops.smartSpeed,
		            rtl: owlsl_ops.rtl,
		            navText:[
			            '<i class="ovaicon ovaicon-back"></i>',
			            '<i class="ovaicon ovaicon-next"></i>'
		            ],
		            responsive: responsive_value,
		        });

		      	/* Fixed WCAG */
				owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
				owlsl.find(".owl-dots button").attr("title", "Dots");

		      });
		});

		/* Product slider syncing */ 
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_slider_syncing.default', function(){

		  	$(".ova-product-slider-syncing .main-slider-content-wrapper").each(function(){
        		var product_content = $(this);
        		var data_options    = product_content.data('options') ? product_content.data('options') : {};
        		var asNavFor = '';
        		if ( data_options.rtl ) {
        			product_content.parent().attr('dir','rtl');
        		}

        		if( $('.sub-slider-content-wrapper').length ){
				   asNavFor = '.sub-slider-content-wrapper';
				}

			    product_content.slick({
					infinite: data_options.loop,
					slidesToShow: 1,
					slidesToScroll: 1,
					arrows: false,
					fade: false,
					adaptiveHeight: false,
					autoplay: data_options.autoplay,
					autoplaySpeed: data_options.autoplay_speed,
					speed: data_options.smartSpeed,
					rtl: data_options.rtl,
					asNavFor: asNavFor,
					lazyLoad: 'ondemand'
				});
                
                // avoid break layout when window resize
				$(window).resize(function(){
				  	product_content.slick('setPosition');
				});
        		
        	});


        	$(".ova-product-slider-syncing .sub-slider-content-wrapper").each(function(){
        		var product_sub_content = $(this);

        		var responsive_value = [
				    {
						breakpoint: 1200,
						settings: {
							arrows : false
						}
					},
				    {
						breakpoint: 768,
						settings: {
							arrows : false
						}
				    }
			  	];

        		product_sub_content.slick({
					slidesToShow: 2,
					slidesToScroll: 1,
					arrows: true,
        			prevArrow: '<div class="slick-prev-custom"><i aria-hidden="true" class="ovaicon ovaicon-back-2"></i></div>',
        			nextArrow: '<div class="slick-next-custom"><i aria-hidden="true" class="ovaicon ovaicon-next-4"></i></div>',
		 			dots: true,
					focusOnSelect: true,
					asNavFor: '.main-slider-content-wrapper',
					responsive : responsive_value
				});

                // avoid break layout when window resize
				$(window).resize(function(){ 
					product_sub_content.slick('setPosition');
				});
				
        	});

        });


		/* Gallery Slideshow */
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_images.default', function(){

			$('.elementor-product-image .ova-product-gallery-slideshow').each( function() {
				var that 	= $(this);
				var options = that.data('options') ? that.data('options') : {};

				var responsive_value = {
		            0:{
		                items:1,
		                nav:false,
		                dots:true,
		            },
		            768:{
		              	items: 2,
		            },
		            1025:{
		              	items: options.items,
		            },
		            1300:{
		              	items: options.items,
		            }
		        };
		        
		        that.owlCarousel({
		        	autoWidth: options.autoWidth,
					margin: options.margin,
					items: options.items,
					loop: options.loop,
					autoplay: options.autoplay,
					autoplayTimeout: options.autoplayTimeout,
					center: options.center,
					lazyLoad: options.lazyLoad,
					nav: options.nav,
					dots: options.dots,
					autoplayHoverPause: options.autoplayHoverPause,
					slideBy: options.slideBy,
					smartSpeed: options.smartSpeed,
					rtl: options.rtl,
					navText:[
			          	'<i aria-hidden="true" class="'+ options.nav_left +'"></i>',
			          	'<i aria-hidden="true" class="'+ options.nav_right +'"></i>'
			        ],
					responsive: responsive_value,
		        });

		        that.find('.gallery-fancybox').off('click').on('click', function() {
					var index = $(this).data('index');
					var gallery_data = $(this).closest('.ova-product-gallery-popup').find('.ova-data-gallery').data('gallery');

					Fancybox.show(gallery_data, {
		            	Image: {
						    Panzoom: {
						      	zoomFriction: 0.7,
						      	maxScale: function () {
						        	return 3;
						      	},
						    },
					  	},
					  	startIndex: index,
					});
				});
			});
		});

		/* Product Forms */
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_forms.default', function(){
            /* Forms */
			$('.ova-forms-product').each( function() {
				var that = $(this);
				var item = that.find('.tabs .item');

				if ( item.length > 0 ) {
					item.each( function( index ) {
					  	if ( index == 0 ) {
					  		$(this).addClass('active');
					  		var id = $(this).data('id');
					  		$(id).show();
					  	}
					});
				}

				item.on('click', function() {
					item.removeClass('active');
					$(this).addClass('active');
					var id = $(this).data('id');

					if ( id == '#booking-form' ) {
						that.find('#request-form').hide();
					}

					if ( id == '#request-form' ) {
						that.find('#booking-form').hide();
					}
					
					$(id).show();
				});
			});
		});

		/* Product Tabs */
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_tabs.default', function(){

			/* Tabs */
			$('.ova-tabs-product').each( function() {
				var that = $(this);
				var item = that.find('.tabs .item');

				if ( item.length > 0 ) {
					item.each( function( index ) {
					  	if ( index == 0 ) {
					  		$(this).addClass('active');
					  		var id = $(this).data('id');
					  		$(id).show();
					  	}
					});
				}

				item.on('click', function() {
					item.removeClass('active');
					$(this).addClass('active');
					var id = $(this).data('id');

					if ( id == '#ova-product-description' ) {
						that.find('#ova-product-conditions-and-rules, #ova-product-review, #ova-product-video').hide();
					}

					if ( id == '#ova-product-conditions-and-rules' ) {
						that.find('#ova-product-description, #ova-product-review, #ova-product-video').hide();
					}

					if ( id == '#ova-product-video' ) {
						that.find('#ova-product-description, #ova-product-review, #ova-product-conditions-and-rules').hide();
					}

					if ( id == '#ova-product-review' ) {
						that.find('#ova-product-conditions-and-rules, #ova-product-description, #ova-product-video').hide();
					}
					
					$(id).show();
				});
			});

		});

		/* related slide */
		elementorFrontend.hooks.addAction('frontend/element_ready/ovabrw_product_related.default', function(){

			$(".elementor-ralated-slide .elementor-ralated").each(function(){
		        var owlsl      = $(this) ;
		        var owlsl_ops  = owlsl.data('options') ? owlsl.data('options') : {};

		        var responsive_value = {
		            0:{
                        items:1,
                    },
                    576:{
                        items:1,
                    },
                    767: {
                    	items:2,
                    },
                    960:{
                        items:owlsl_ops.items - 1,
                    },
                    1200:{
                        items:owlsl_ops.items
                    }
		        };
		        
		        owlsl.owlCarousel({
		            margin: owlsl_ops.margin,
		            items: owlsl_ops.items,
		            loop: owlsl_ops.loop,
		            autoplay: owlsl_ops.autoplay,
		            autoplayTimeout: owlsl_ops.autoplayTimeout,
		            nav: owlsl_ops.nav,
		            dots: owlsl_ops.dots,
		            autoplayHoverPause: owlsl_ops.autoplayHoverPause,
		            slideBy: owlsl_ops.slideBy,
		            smartSpeed: owlsl_ops.smartSpeed,
		            rtl: owlsl_ops.rtl,
		            navText:[
			            '<i class="ovaicon ovaicon-back"></i>',
			            '<i class="ovaicon ovaicon-next"></i>'
		            ],
		            responsive: responsive_value,
		        });

		      	/* Fixed WCAG */
				owlsl.find(".owl-nav button.owl-prev").attr("title", "Previous");
				owlsl.find(".owl-nav button.owl-next").attr("title", "Next");
				owlsl.find(".owl-dots button").attr("title", "Dots");

		    });
		});

	});


})(jQuery);
