<?php
if ( ! defined( 'ABSPATH' ) ) exit();

add_action( 'wp_ajax_ovabrw_load_name_product', 'ovabrw_load_name_product' );
add_action( 'wp_ajax_nopriv_ovabrw_load_name_product', 'ovabrw_load_name_product' );
if ( ! function_exists( 'ovabrw_load_name_product' ) ) {
	function ovabrw_load_name_product() {
		$keyword 	= isset($_POST['keyword']) ? sanitize_text_field( $_POST['keyword'] ) : '';
		$the_query 	= new WP_Query( array( 'post_type' => 'product' , 's' => $keyword, 'posts_per_page'=> '10') );

		if ( $the_query->have_posts() ) :
			while( $the_query->have_posts() ): $the_query->the_post();
				$title[] = get_the_title();
			endwhile;
			wp_reset_postdata();  
		endif;

		echo json_encode( $title );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_load_name_product_id', 'ovabrw_load_name_product_id' );
add_action( 'wp_ajax_nopriv_ovabrw_load_name_product_id', 'ovabrw_load_name_product_id' );
if ( ! function_exists( 'ovabrw_load_name_product_id' ) ) {
	function ovabrw_load_name_product_id() {
		$keyword 	= isset($_POST['keyword']) ? sanitize_text_field( $_POST['keyword'] ) : '';
		$the_query = new WP_Query( array( 'post_type' => 'product' , 's' => $keyword, 'posts_per_page'=> '10') );

		if ( $the_query->have_posts() ) :
			while( $the_query->have_posts() ): $the_query->the_post();
				$title[] = get_the_title() . '(#'.get_the_id().')';
			endwhile;
			wp_reset_postdata();  
		endif;

		echo json_encode($title);
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_rental_type_product', 'ovabrw_get_rental_type_product' );
add_action( 'wp_ajax_nopriv_ovabrw_get_rental_type_product', 'ovabrw_get_rental_type_product' );
if ( ! function_exists( 'ovabrw_get_rental_type_product' ) ) {
	function ovabrw_get_rental_type_product() {
		$id_product 	= isset($_POST['id_product']) ? sanitize_text_field( $_POST['id_product'] ) : '';
		$rental_type 	= get_post_meta( $id_product, 'ovabrw_price_type', true );

		$data = [
			'rental_type' => $rental_type,
		];

		echo json_encode( $data );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_id_vehicle_rest', 'ovabrw_get_id_vehicle_rest' );
add_action( 'wp_ajax_nopriv_ovabrw_get_id_vehicle_rest', 'ovabrw_get_id_vehicle_rest' );
if ( ! function_exists( 'ovabrw_get_id_vehicle_rest' ) ) {
	function ovabrw_get_id_vehicle_rest() {
		$id_product 	= isset($_POST['id_product']) ? sanitize_text_field( $_POST['id_product'] ) : '';
		$pickup_date 	= isset($_POST['pickup_date']) ? strtotime(sanitize_text_field( $_POST['pickup_date'] )) : '';
		$dropp_off 		= isset($_POST['dropp_off']) ? strtotime(sanitize_text_field( $_POST['dropp_off'] )) : '';
		$package_id 	= isset($_POST['package_id']) ? sanitize_text_field( $_POST['package_id'] ) : '';
		$new_input_date = ovabrw_new_input_date( $id_product, $pickup_date, $dropp_off, $package_id, '', '' );

		$pickup_date_new 	= $new_input_date['pickup_date_new'];
		$pickoff_date_new 	= $new_input_date['pickoff_date_new'];
		$data_vehicle 		= ova_validate_manage_store( $id_product, $pickup_date_new, $pickoff_date_new, true, 'search' , 1 );
		if ( $data_vehicle ) {
			$data = $data_vehicle;
		} else {
			$data = [
				'error' => true,
				'start_date' => 'empty',
				'message' => esc_html__("Vehicle is not available for this time, Please book other time.", 'ova-brw'),
			];
		}
		
		echo json_encode( $data );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_load_data_product_create_order', 'ovabrw_load_data_product_create_order' );
add_action( 'wp_ajax_nopriv_ovabrw_load_data_product_create_order', 'ovabrw_load_data_product_create_order' );
if ( ! function_exists( 'ovabrw_load_data_product_create_order' ) ) {
	function ovabrw_load_data_product_create_order() {
		$name_product 	= isset($_POST['name_product']) ? sanitize_text_field( $_POST['name_product'] ) : '';
		$id_product 	= trim( sanitize_text_field( $name_product ) );
		$rental_type 	= get_post_meta( $id_product, 'ovabrw_price_type', true );
		$petime_id 		= get_post_meta( $id_product, 'ovabrw_petime_id', true );
		$petime_label 	= get_post_meta( $id_product, 'ovabrw_petime_label', true );
		$product_price 	= get_post_meta( $id_product, '_regular_price', true);
		$ovabrw_amount_insurance 	= get_post_meta( $id_product, 'ovabrw_amount_insurance', true );
		$ovabrw_define_1_day 		= get_post_meta( $id_product, 'ovabrw_define_1_day', true);
		$unfixed_time 				= get_post_meta( $id_product, 'ovabrw_unfixed_time', true);

		// Show/hide Pick-up date
		$show_pickup_date 		= ovabrw_show_pick_date_product( $id_product, $type = 'pickup' );

		// Show/hide Drop-off date
		$show_pickoff_date 		= ovabrw_show_pick_date_product( $id_product, $type = 'dropoff' );

		// Guests
		$ovabrw_guest_min = absint( get_post_meta( $id_product, 'ovabrw_guest_min', true ) );
		$ovabrw_guest_max = absint( get_post_meta( $id_product, 'ovabrw_guest_max', true ) );

		// Get show number vehicle
		$show_number_vehicle 	= get_post_meta( $id_product, 'ovabrw_show_number_vehicle', true );

		// Get html resources
		$html_resources 	= ovabrw_get_html_resources_order( $id_product );

		// Get html resources
		$html_services	 	= ovabrw_get_html_services_order( $id_product );

		# Disable week day
		$disable_week_day 	= get_post_meta( $id_product, 'ovabrw_product_disable_week_day', true );

		$statuses 	= brw_list_order_status();
	    $order_date = get_order_rent_time( $id_product, $statuses );

		$data = [
			'rental_type' 				=> $rental_type,
			'petime_id' 				=> $petime_id,
			'petime_label' 				=> $petime_label,
			'ovabrw_amount_insurance' 	=> $ovabrw_amount_insurance,
			'product_price' 			=> $product_price,
			'ovabrw_define_1_day' 		=> $ovabrw_define_1_day,
			'order_date' 				=> $order_date,
			'ovabrw_guest_min' 			=> $ovabrw_guest_min,
			'ovabrw_guest_max' 			=> $ovabrw_guest_max,
			'show_number_vehicle' 		=> $show_number_vehicle,
			'show_pickup_date'			=> $show_pickup_date ? 'yes' : 'no',
			'show_pickoff_date'			=> $show_pickoff_date ? 'yes' : 'no',
			'html_resources' 			=> $html_resources,
			'html_services' 			=> $html_services,
			'unfixed_time'				=> $unfixed_time,
			'disable_week_day' 			=> $disable_week_day,
		];

		echo json_encode( $data );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_load_tag_product', 'ovabrw_load_tag_product' );
add_action( 'wp_ajax_nopriv_ovabrw_load_tag_product', 'ovabrw_load_tag_product' );
if ( ! function_exists( 'ovabrw_load_tag_product' ) ) {
	function ovabrw_load_tag_product() {
		$keyword = isset($_POST['keyword']) ? sanitize_text_field( $_POST['keyword'] ) : '';
		$args = array(
	        'taxonomy'               => 'product_tag',
	        'search' => $keyword
	    );

	    $the_query = new WP_Term_Query($args);

	    $title = [];
	    if ( $the_query->terms ) {
	        foreach( $the_query->terms as $term ) {
	            $title[] =  $term->name;
	        }
	        wp_reset_postdata();  
	    }

		echo json_encode($title);
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_total_price_and_quantity', 'ovabrw_get_total_price_and_quantity' );
add_action( 'wp_ajax_nopriv_ovabrw_get_total_price_and_quantity', 'ovabrw_get_total_price_and_quantity' );
if ( ! function_exists( 'ovabrw_get_total_price_and_quantity' ) ) {
	function ovabrw_get_total_price_and_quantity() {
		$id_product 	= isset($_POST['id_product']) ? trim( sanitize_text_field( $_POST['id_product'] ) ) : '';
		$product_price 	= get_post_meta( $id_product, '_regular_price', true);

		// Get rental type product
		$rental_type 	= get_post_meta( $id_product, 'ovabrw_price_type', true );

		// Check is Auto/Manual to make ID vehicle 
	    $manage_store 	= get_post_meta( $id_product, 'ovabrw_manage_store', true );
		$start_date 	= isset($_POST['start_date']) ? trim( sanitize_text_field( $_POST['start_date'] ) ) : '';
		$end_date 		= isset($_POST['end_date']) ? trim( sanitize_text_field( $_POST['end_date'] ) ) : '';
		$id_package 	= isset($_POST['id_package']) ? trim( sanitize_text_field( $_POST['id_package'] ) ) : '';
		$number_vehicle = isset($_POST['number_vehicle']) ? trim( sanitize_text_field( $_POST['number_vehicle'] ) ) : 1;
		$pickup_loc 	= '';
		$dropoff_loc 	= '';
		$resources 		= isset($_POST['resources']) ? str_replace( '\\', '', $_POST['resources'] )  : '';
		$resources_data = (array) json_decode( $resources );
		$services 		= isset($_POST['services']) ? str_replace( '\\', '', $_POST['services'] )  : '';
		$services_data 	= (array) json_decode( $services );
		$new_input_date = ovabrw_new_input_date( $id_product, strtotime( $start_date ), strtotime( $end_date ), $id_package, $pickup_loc, $dropoff_loc );

		$pickup_date_new 	= $new_input_date['pickup_date_new'];
		$pickoff_date_new 	= $new_input_date['pickoff_date_new'];
		
		// For Rental Type: Period Time
		$price_type 		= get_post_meta( $id_product, 'ovabrw_price_type', true );
		$rental_info_period = get_rental_info_period( $id_product, $pickup_date_new, $price_type, $id_package );

		$cart_item['product_id'] 			= $id_product;
		$cart_item['ovabrw_number_vehicle'] = 1;
		$cart_item['resources'] 			= $resources_data;
		$cart_item['ovabrw_service'] 		= json_encode( $services_data );
		$cart_item['period_price'] 			= $rental_info_period['period_price'];	
		
		$product_detail = get_real_price_detail( $product_price, $id_product, $pickup_date_new, $pickoff_date_new );

		if ( $rental_type == 'period_time' ) {

			if ( empty( $start_date ) ) {
				$data = [ 
					'error' => true,
					'start_date' => 'empty',
					'message' => esc_html__('Please Choose Pick-up Date', 'ova-brw'),
				];
			} elseif ( empty( $id_package ) ) {
				$data = [ 
					'error' => true,
					'id_package' => 'empty',
					'message' => esc_html__('No Package', 'ova-brw'),
				];
			} else {
				$total = get_price_by_date( $id_product, $pickup_date_new, $pickoff_date_new, $cart_item, $pickup_loc, $dropoff_loc, $id_package );
				$total['line_total'] = $total['line_total'];
	            $total['product_price'] = $total['line_total'];
				$data = $total;
			}
		} else {
			if ( empty( $start_date ) ) {
				$data = [ 
					'error' => true,
					'start_date' => 'empty',
					'message' => esc_html__('Please Choose Pick-up Date', 'ova-brw'),
				];
			} elseif ( empty( $end_date ) ) {
				$data = [ 
					'error' => true,
					'end_date' => 'empty',
					'message' => esc_html__('Please Choose Drop-off Date', 'ova-brw'),
				];
			} else {
				$total = get_price_by_date( $id_product, $pickup_date_new, $pickoff_date_new, $cart_item, $pickup_loc, $dropoff_loc, $id_package );

				if ( $rental_type == 'hour' ) {
	                $total['quantity'] = $total['quantity'] . ' Hours';
	            } elseif ( $rental_type != 'period_time' ) {
	                $total['quantity'] = $total['quantity'] . ' Days';
	            }
	            $total['line_total'] = $total['line_total'];
	            $total['product_price'] = $product_detail;
				$data = $total;
			}
		}

		if ( empty( $number_vehicle ) || $number_vehicle < 0 ) {
			$data = [ 
				'error' => true,
				'start_date' => 'empty',
				'message' => esc_html__('Quantity does not exist or is less than 0', 'ova-brw'),
			];
		}

		$data_vehicle = ova_validate_manage_store( $id_product, $pickup_date_new, $pickoff_date_new, true, 'search', $number_vehicle );

		$quantity_available = 0;
		if ( $data_vehicle ) {
			$quantity_available = isset( $data_vehicle['quantity_available'] ) ? $data_vehicle['quantity_available'] : 0;
			if ( $quantity_available && (int)$quantity_available >= (int)$number_vehicle ) {
				$data['quantity_available'] = (int)$quantity_available;
			} else {
				$data = [
					'error' => true,
					'start_date' => 'empty',
					'message' => esc_html__( "Vehicle is not available for this time, Please book other time.", 'ova-brw' ),
				];
			}
		} else {
			$data = [
				'error' => true,
				'start_date' => 'empty',
				'message' => esc_html__( "Vehicle is not available for this time, Please book other time.", 'ova-brw' ),
			];
		}

		if ( isset( $data['line_total'] ) ) {
			$data['line_total'] *= $number_vehicle;
		}
		
		echo json_encode( $data );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_package_by_time', 'ovabrw_get_package_by_time_cus' );
add_action( 'wp_ajax_nopriv_ovabrw_get_package_by_time', 'ovabrw_get_package_by_time_cus' );
if ( ! function_exists( 'ovabrw_get_package_by_time_cus' ) ) {
	function ovabrw_get_package_by_time_cus() {
		$id 		= isset($_POST['post_id']) ? sanitize_text_field( $_POST['post_id'] ) : '';
		$start_date = isset($_POST['startdate']) ? strtotime( $_POST['startdate'] ) : '';
		
		 // Total Car in the Store
	    $total_car_store 	= ovabrw_get_total_stock( $id );
	    $post_array_id 		= ovabrw_get_wpml_product_ids( $id );
	    $statuses 			= brw_list_order_status();
	    $orders_ids 		= ovabrw_get_orders_by_product_id( $id, $statuses );

	    $car_using_this_time = array();

	    // Get list package of period time
		$ovabrw_petime_id	= get_post_meta( $id, 'ovabrw_petime_id', true );

		$ovabrw_petime_label = get_post_meta( $id, 'ovabrw_petime_label', true );

	    // For Order ID
	    foreach( $orders_ids as $key => $value ) {
	        // Get Order Detail by Order ID
	        $order = wc_get_order($value);

	        // Get Meta Data type line_item of Order
	        $order_items = $order->get_items( apply_filters( 'woocommerce_purchase_order_item_types', 'line_item' ) );
	       
	        // For Meta Data
	        foreach( $order_items as $item_id => $item ) {
	            $ovabrw_pickup_date_store = $ovabrw_pickoff_date_store = $id_vehicle = $quantity = '';

	            // Check Line Item have item ID is Car_ID
	            if ( in_array( $item->get_product_id(), $post_array_id ) ) {
	                // Check time to Prepare before delivered
	                $prepare_time = get_post_meta( $id, 'ovabrw_prepare_vehicle', true ) ? get_post_meta( $id, 'ovabrw_prepare_vehicle', true ) * 60 : 0;

	                // Get value of pickup date, pickoff date
	                foreach( $item->get_formatted_meta_data() as $meta_id => $meta ) {
	                    if ( $meta->key == 'ovabrw_pickup_date' ) {
	                        $ovabrw_pickup_date_store = strtotime( $meta->value );
	                    }
	                    if ( $meta->key == 'ovabrw_pickoff_date' ) {
	                        $ovabrw_pickoff_date_store = strtotime( $meta->value ) + $prepare_time;
	                    }
	                    if ( $meta->key == 'id_vehicle' ) {
	                        $id_vehicle = trim( $meta->value );
	                    }
	                    if ( $meta->key == 'ovabrw_number_vehicle' ) {
	                        $quantity = intval( $meta->value );
	                    }
	                }

	                // Only compare date when "PickOff Date in Store" > "Current Time" becaue "PickOff Date Rent" have to > "Current Time"
	                if ( $ovabrw_pickoff_date_store >= current_time( 'timestamp' ) && ( $id_vehicle != '' || $quantity ) ) {
					    if ( $ovabrw_petime_id ) { 
					        foreach( $ovabrw_petime_id as $petime_id ) {
					        	$start_end_time_package = get_rental_info_period( $id, $start_date, 'period_time', $petime_id );
					        	$ovabrw_pickup_date 	= $start_end_time_package['start_time'];
					        	$ovabrw_pickoff_date 	= $start_end_time_package['end_time'];

					        	// Check rent time
			                    if ( !( $ovabrw_pickoff_date <= $ovabrw_pickup_date_store || $ovabrw_pickoff_date_store <= $ovabrw_pickup_date ) ) {
			                    	for( $i = 0; $i < $quantity; $i++ ) {
			                    		array_push( $car_using_this_time, $petime_id );
			                    	}
			                    }
					        }
					    }
	                }
	            }
	        }
	    }

	    // Package available
	    $package_default 	= array( esc_html__( 'Select Package', 'ova-brw' ) );
	    $package_available 	= array();
	    $package_data 		= array();

	    if ( $ovabrw_petime_id ) { 
			foreach( $ovabrw_petime_id as $key => $petime_id ) {
				$i = 0;
				foreach( $car_using_this_time as $v ) {
					if ( $petime_id == $v ) {
						$i ++;
					}
				}
				if ( $i < $total_car_store ) {
					$package_data[$petime_id] = $ovabrw_petime_label[$key];
				} 
			}
		}

		// Unvailable time for renting
		$untime_startdate = get_post_meta( $id, 'ovabrw_untime_startdate', true );
	    $untime_enddate   = get_post_meta( $id, 'ovabrw_untime_enddate', true );

		foreach( $package_data as $petime_id => $label ) {
			$flag = true;
			$start_end_time_package = get_rental_info_period( $id, $start_date, 'period_time', $petime_id );
	    	$ovabrw_pickup_date 	= $start_end_time_package['start_time'];
	    	$ovabrw_pickoff_date 	= $start_end_time_package['end_time'];

	    	if ( $untime_startdate ) {
		        foreach( $untime_startdate as $key => $un_startdate ) {
		        	$un_enddate = isset( $untime_enddate[$key] ) && $untime_enddate[$key] ? strtotime( $untime_enddate[$key] ) : '';

		        	if ( $un_startdate && $un_enddate ) {
		        		$un_startdate = strtotime( $un_startdate );

		        		if ( !( $ovabrw_pickoff_date < $un_startdate || $un_enddate < $ovabrw_pickup_date ) ) {
		                    $flag = false;
		                }
		        	}
		        }
		    }
	    	
	    	if ( $ovabrw_pickup_date > current_time( 'timestamp' ) && $flag ) {
	    		$package_available[$petime_id] = $label;
	    	}
		}

		if ( ! empty( $package_available ) ) {
			$package_available = array_merge( $package_default, $package_available );
		} else {
			$package_available = array( esc_html__( 'There are no packages', 'ova-brw' ) );
		}
		
		echo json_encode( $package_available );
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_calculate_total', 'ovabrw_calculate_total', 10, 0 );
add_action( 'wp_ajax_nopriv_ovabrw_calculate_total', 'ovabrw_calculate_total', 10, 0 );
if ( ! function_exists( 'ovabrw_calculate_total' ) ) {
	function ovabrw_calculate_total() {
		$id = isset($_POST['id']) ? sanitize_text_field( $_POST['id'] ) : '';
		$pickup_loc 	= isset($_POST['pickup_loc']) ? sanitize_text_field( $_POST['pickup_loc'] ) : '';
		$dropoff_loc 	= isset($_POST['dropoff_loc']) ? sanitize_text_field( $_POST['dropoff_loc'] ) : '';
		$pickup_date 	= isset($_POST['pickup_date']) ? sanitize_text_field( $_POST['pickup_date'] ) : '';
		$dropoff_date 	= isset($_POST['dropoff_date']) ? sanitize_text_field( $_POST['dropoff_date'] ) : '';
		$package_id 	= isset($_POST['package_id']) ? sanitize_text_field( $_POST['package_id'] ) : '';
		$quantity 		= isset($_POST['quantity']) ? sanitize_text_field( $_POST['quantity'] ) : 1;
		$deposit 		= isset($_POST['deposit']) ? sanitize_text_field( $_POST['deposit'] ) : '';
		$resources 		= isset($_POST['resources']) ? str_replace( '\\', '', $_POST['resources'] )  : '';
		$services 		= isset($_POST['services']) ? str_replace( '\\', '', $_POST['services'] )  : '';
		$services_array = (array) json_decode( $services );

		// Get new date
		$new_date = ovabrw_new_input_date( $id, strtotime( $pickup_date ), strtotime( $dropoff_date ), $package_id, $pickup_loc, $dropoff_loc );

		if ( !$new_date['pickup_date_new'] || !$new_date['pickoff_date_new'] ) {
			echo 0;
			wp_die();
		}

		// For Rental Type: Period Time
		$price_type 		= get_post_meta( $id, 'ovabrw_price_type', true );
		$rental_info_period = get_rental_info_period( $id, $new_date['pickup_date_new'], $price_type, $package_id );

		$cart_item['product_id'] 			= $id;
		$cart_item['ovabrw_number_vehicle'] = $quantity;
		$cart_item['resources'] 			= (array) json_decode( $resources );
		$cart_item['ovabrw_service'] 		= json_encode( $services_array );
		$cart_item['period_price'] 			= $rental_info_period['period_price'];
		$cart_item['ova_type_deposit'] 		= $deposit;

		$total = get_price_by_date( $id, $new_date['pickup_date_new'], $new_date['pickoff_date_new'], $cart_item, $pickup_loc, $dropoff_loc, $package_id );
		
		$line_total = $total['line_total'];

		// Calculate When choose Deposit or Full Amonunt at fronend
		$sub_deposit_amount = $line_total;

		/**
		 * Check Vehicle availables
		 */
		// Check Unavilable time
		$unavilable_time = ovabrw_check_unavilable_time( $id, $new_date['pickup_date_new'], $new_date['pickoff_date_new'] );
		if ( $unavilable_time ) {
			$total['error'] = esc_html__( 'This time is not available for renting', 'ova-brw' );
		}

		// Check product in order
		$store_vehicle_rented = ovabrw_vehicle_rented_in_order( $id, $new_date['pickup_date_new'], $new_date['pickoff_date_new'] );

		// Check product in cart
		$cart_vehicle_rented  = ovabrw_vehicle_rented_in_cart( $id, 'cart', $new_date['pickup_date_new'], $new_date['pickoff_date_new'] );

		// Get manage store
		$manage_store = get_post_meta( $id, 'ovabrw_manage_store', true );

		// Get array vehicle available
	    $data_vehicle = ovabrw_get_vehicle_available($id, $store_vehicle_rented, $cart_vehicle_rented, $quantity, $manage_store, $new_date['pickup_date_new'], $new_date['pickoff_date_new'], $pickup_loc, $dropoff_loc, false, $validate = 'cart' );

	    // Number vehicle available
	    $total['number_vehicle_available'] = $data_vehicle['number_vehicle_available'];
	    if ( absint( $total['number_vehicle_available'] ) === 0 ) {
	    	$total['error'] = esc_html__( 'Out stock!', 'ova-brw' );
	    } elseif ( absint( $quantity ) > absint( $total['number_vehicle_available'] ) ) {
	    	$total['error'] = sprintf( esc_html__( 'Maximum Quantity: %s', 'ova-brw' ), $total['number_vehicle_available'] );
	    }
	    // Deposit
	    $deposit_enable = get_post_meta ( $id, 'ovabrw_enable_deposit', true );

	    if ( $deposit_enable === 'yes' && apply_filters( 'ovabrw_ajax_deposit_enable', true ) ) {
	    	$value_deposit = ! empty( get_post_meta ( $id, 'ovabrw_amount_deposit', true ) ) ? floatval( get_post_meta ( $id, 'ovabrw_amount_deposit', true ) ) : 0;
	    	$deposit_type  = get_post_meta ( $id, 'ovabrw_type_deposit', true );

	    	if ( $deposit === 'deposit' ) {
	    		if ( $deposit_type === 'percent' ) {
	    			$line_total = ( $line_total * $value_deposit ) / 100;
	    		} else {
	    			$line_total = $value_deposit;
	    		}
	    	}
	    }
		
		if ( $total['line_total'] <= 0 ) {
			echo 0;	
		} else {
			if ( isset( $total['amount_insurance'] ) && $total['amount_insurance'] > 0 ) {
				$amount_total = $total['line_total'] - $total['amount_insurance'];
				if ( $amount_total > 0 ) {
					$total['line_total'] = wc_price( apply_filters( 'ovabrw_ajax_total_filter', $line_total, $id ) );
					echo json_encode($total);
				} else {
					echo 0;
				}
			} else {
				$total['line_total'] = wc_price( apply_filters( 'ovabrw_ajax_total_filter', $line_total, $id ) );
				echo json_encode($total);
			}
		}

		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_tax_in_cat', 'ovabrw_get_tax_in_cat', 10, 0 );
add_action( 'wp_ajax_nopriv_ovabrw_get_tax_in_cat', 'ovabrw_get_tax_in_cat', 10, 0 );
if ( ! function_exists( 'ovabrw_get_tax_in_cat' ) ) {
	function ovabrw_get_tax_in_cat(){
		$cat_val 			= isset( $_POST['cat_val'] ) ?  $_POST['cat_val'] : '';
		$list_tax_values 	= array();
		$get_term 			= get_term_by( 'slug', $cat_val, 'product_cat' );
		$term_id 			= $get_term->term_id;
		$ovabrw_custom_tax 	= get_term_meta($term_id, 'ovabrw_custom_tax', true);
				
		if ( $ovabrw_custom_tax ) {
			foreach( $ovabrw_custom_tax as $key => $value ) {
				if ( !in_array( $value, $list_tax_values ) ) {
					if ( $value ) {
						array_push( $list_tax_values, $value);		
					}
				}
			}
		}

		echo implode(",", $list_tax_values ); 
		wp_die();
	}
}

add_action( 'wp_ajax_ovabrw_get_dropoff_date_transportation', 'ovabrw_get_dropoff_date_transportation' );
add_action( 'wp_ajax_nopriv_ovabrw_get_dropoff_date_transportation', 'ovabrw_get_dropoff_date_transportation' );
if ( ! function_exists( 'ovabrw_get_dropoff_date_transportation' ) ) {
	function ovabrw_get_dropoff_date_transportation() {
		$date_format 	= ovabrw_get_date_format();
	    $time_format 	= ovabrw_get_time_format_php();
		$id_product 	= isset($_POST['id_product']) ? sanitize_text_field( $_POST['id_product'] ) : '';
		$pickup_date 	= isset($_POST['pickup_date']) ? strtotime(sanitize_text_field( $_POST['pickup_date'] )) : '';
		$pickup_loc 	= isset($_POST['pickup_loc']) ? sanitize_text_field( $_POST['pickup_loc'] ) : '';
		$dropoff_loc 	= isset($_POST['dropoff_loc']) ? sanitize_text_field( $_POST['dropoff_loc'] ) : '';
		$time_dropoff 	= ovabrw_get_time_by_pick_up_off_loc_transport( $id_product, $pickup_loc, $dropoff_loc );

	    // Get Second
	    $time_dropoff_seconds = 60 * $time_dropoff;
	    
	    $dropoff_date_timestamp =  $pickup_date + $time_dropoff_seconds;
	    $pickoff_date = date( $date_format . ' ' . $time_format, $dropoff_date_timestamp );
		
		if ( $pickoff_date && $pickup_loc && $dropoff_loc ) {
			$data = [
				'error' => false,
				'dropoff' => $pickoff_date
			];
		} else {
			$data = [
				'error' => true,
				'start_date' => 'empty',
				'message' => esc_html__("Please insert Pick-up, Drop-off Location", 'ova-brw'),
			];
		}
		
		echo json_encode( $data );
		wp_die();
	}
}

/**
 * Ajax search
 */
add_action( 'wp_ajax_ovabrw_search_ajax', 'ovabrw_search_ajax' );
add_action( 'wp_ajax_nopriv_ovabrw_search_ajax', 'ovabrw_search_ajax' );
function ovabrw_search_ajax() {
	$data = $_POST;
    
    $layout        	 	= isset( $data['layout'] )         		? sanitize_text_field( $data['layout'] )         	: 'grid';
    $grid_column        = isset( $data['grid_column'] )         ? sanitize_text_field( $data['grid_column'] )       : 'column4';
	$order 				= isset( $data['order'] ) 		   		? sanitize_text_field( $data['order'] ) 		    : 'DESC';
	$orderby 			= isset( $data['orderby'] ) 	   		? sanitize_text_field( $data['orderby'] ) 			: 'ID';
	$orderby_meta_key 	= isset( $data['orderby_meta_key'] ) 	? sanitize_text_field( $data['orderby_meta_key'] ) 	: '';
	$posts_per_page 	= isset( $data['posts_per_page'] ) 		? sanitize_text_field( $data['posts_per_page'] )	: '4';
	$paged 				= isset( $data['paged'] ) 		   		? (int)$data['paged']  								:  1;

    $custom_taxonomy    = isset( $data['custom_taxonomy'] )     ? $data['custom_taxonomy'] 							: array();
    $taxonomy_value    	= isset( $data['taxonomy_value'] )     	? $data['taxonomy_value'] 							: array();
    $pickup_date 		= isset( $data['start_date'] )     		? strtotime( $data['start_date'] ) 					: '';
    $pickoff_date 		= isset( $data['end_date'] )     		? strtotime( $data['end_date'] ) 					: '';
    $guests 			= isset( $data['guests'] ) 		   		? sanitize_text_field( $data['guests'] )		    : '';
    $clicked 			= isset( $data['clicked'] ) 			? $data['clicked'] 									: '';
    
    $list_taxonomy      = ovabrw_create_type_taxonomies();

    
    // Base Query
    $args_base = array(
		'post_type'      	=> 'product',
		'post_status'    	=> 'publish',
		'posts_per_page' 	=> $posts_per_page,
		'paged' 			=> $paged,
		'order' 			=> $order,
		'orderby' 			=> $orderby,
		'meta_key'          => $orderby_meta_key,
		'tax_query' => array(
            array(
                'taxonomy' => 'product_type',
                'field'    => 'slug',
                'terms'    => 'ovabrw_car_rental', 
            ),
        ),
	);

	$data_taxonomy = [];

	if ( ! empty( $custom_taxonomy ) && is_array( $custom_taxonomy ) ) {
		foreach( $custom_taxonomy as $k => $slug ) {
			if ( $slug && isset( $taxonomy_value[$k] ) && $taxonomy_value[$k] ) {
				$data_taxonomy[str_replace( '_name', '', $slug)] = $taxonomy_value[$k];
			}
		}
	}
    
    // Tax Query custom taxonomy
    $arg_taxonomy_arr = [];

    if ( ! empty( $list_taxonomy ) ) {
        foreach( $list_taxonomy as $taxonomy ) {
        	$slug = $taxonomy['slug'];
            $taxonomy_get = isset( $data_taxonomy[$slug] ) ? sanitize_text_field( $data_taxonomy[$slug] ) : 'all';

            if ( $taxonomy_get && $taxonomy_get != 'all' ) {
                $arg_taxonomy_arr[] = array(
                    'taxonomy' => $taxonomy['slug'],
                    'field'    => 'slug',
                    'terms'    => $taxonomy_get
                );
            }
        }
    }
    
    $args_meta_query_arr = $args_cus_meta_custom = $args_cus_tax_custom = array();

    if (  $args_base ) {

	    if ( $guests != '' ) {
	    	$args_meta_query_arr[] = [
	            'key'     => 'ovabrw_guest_max',
	            'value'   => $guests,
	            'type'    => 'numeric',
	            'compare' => '>=',
	        ];
	    }

    	if ( ! empty( $arg_taxonomy_arr ) ) {
	        $args_cus_tax_custom = array(
	            'tax_query' => array(
	                'relation'  => 'AND',
	                $arg_taxonomy_arr
	            )
	        );
	    }

	    if ( ! empty( $args_meta_query_arr ) ) {
	        $args_cus_meta_custom = array(
	            'meta_query' => array(
	                'relation'  => 'AND',
	                $args_meta_query_arr
	            )
	        );
	    }

	    if ( ! empty( $pickup_date ) && ! empty( $pickoff_date ) ) {
	    	$exclude_ids  = ovabrw_get_exclude_ids( $pickup_date, $pickoff_date );
	        $args_base['post__not_in'] = $exclude_ids;
	    }

        $args = array_merge_recursive( $args_base, $args_cus_tax_custom, $args_cus_meta_custom );

        $products = new WP_Query( apply_filters( 'ovabrw_ft_query_search_ajax', $args, $data ));

        $number_results_found  = $products->found_posts;

        ob_start();
        ?>

	        <div class="ovabrw-products-result ovabrw-products-result-<?php echo esc_attr( $layout );?> <?php echo esc_attr( $grid_column );?>" data-clicked="<?php echo esc_attr( $clicked ); ?>">
				<?php
					do_action( 'woocommerce_before_single_product' );
					if ( $products->have_posts() ) : while ( $products->have_posts() ) : $products->the_post();

						if( $layout == 'grid' ) {
							wc_get_template_part( 'content', 'product' );
						} elseif( $layout == 'list' ) {
                            wc_get_template_part( 'rental/content-item', 'product-list' );
						}
						
					endwhile; else :
					?>

						<div class="not_found_product">
							<h3 class="empty-list">
								<?php esc_html_e( 'Not available accommodations', 'ova-brw' ); ?>
							</h3>
							<p>
								<?php esc_html_e( 'It seems we can’t find what you’re looking for.', 'ova-brw' ); ?>
							</p>
						</div>

					<?php
					endif; wp_reset_postdata();
					do_action( 'woocommerce_after_single_product' );
				?>

                <input type="hidden" class="tour_number_results_found" name="tour_number_results_found" value="<?php echo esc_attr($number_results_found); ?>">

			</div>

        <?php

        $total = $products->max_num_pages;

		if (  $total > 1 ): ?>
			<div class="ovabrw-pagination-ajax" data-paged="<?php echo esc_attr( $paged ); ?>">
			<?php
				echo ovabrw_pagination_ajax( $number_results_found , $products->query_vars['posts_per_page'], $paged );
			?>
			</div>
			<?php
		endif;

		$result = ob_get_contents(); 
		ob_end_clean();

		echo json_encode( array( "result" => $result ));
		wp_die();
    } else {
    	echo json_encode( array( "result" => $result ));
    	wp_die();
    }
}

?>