<?php if( ! defined( 'ABSPATH' ) ) exit();

extract( $args );

$dateformat 	 = ovabrw_get_date_format();
$placeholder 	 = ovabrw_get_placeholder_date( $dateformat ); 

$default_hour_start  = ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour', '07:00' ) );
$default_hour_end 	 = ovabrw_get_setting( get_option( 'ova_brw_booking_form_default_hour_end_date', '07:00' ) );
$time_step 			 = ovabrw_get_setting( get_option( 'ova_brw_booking_form_step_time', '30' ) );
$time_format    	 = ovabrw_get_time_format_php();

$show_time = $args['show_time'] === "yes" ? "true" : "false";

// form 
$method = isset( $args['method'] ) ? $args['method'] : 'GET';
$action = home_url();

if ( isset( $args['search_result'] ) && ( 'new_page' == $args['search_result'] ) ) {
	$action = $args['search_result_url']['url'];
}

$data_get = $_GET;
$ovabrw_pickup_date   = isset( $data_get['ovabrw_pickup_date'] )  ? sanitize_text_field( $data_get['ovabrw_pickup_date'] )  : '';
$ovabrw_pickoff_date  = isset( $data_get['ovabrw_pickoff_date'] ) ? sanitize_text_field( $data_get['ovabrw_pickoff_date'] ) : '';
$ovabrw_package       = isset( $data_get['ovabrw_package'] ) 	  ? sanitize_text_field( $data_get['ovabrw_package'] ) 		: 0;

if( $ovabrw_package ) {
	if ( is_numeric( $data_get['ovabrw_package'] ) ) {
	    $ovabrw_pickoff_date = date($dateformat.' '.$time_format, strtotime( $ovabrw_pickup_date ) + $ovabrw_package );
    }
}


// check in
$icon_check_in   = $args['icon_check_in'];
$check_in_label  = $args['check_in_label'];

// package
$icon_package         = $args['icon_package'];
$package_label  	  = $args['package_label'];
$package_placeholder  = $args['package_placeholder'];
$package_items        = $args['package_items'];

// check out
$icon_check_out   = $args['icon_check_out'];
$check_out_label  = $args['check_out_label'];

// guests
$guests    = isset( $data_get['ovabrw_guests'] ) ? absint( $data_get['ovabrw_guests'] ) : absint( $args['default_guest_number'] );
$min_guest = $args['min_guest'];
$max_guest = $args['max_guest'];

$guests_label 	 	= $args['guests_label'];
$show_guests 		= $args['show_guests'];
$icon_guests     	= $args['icon_guests'];
$guests_placeholder = $args['guests_placeholder']; 

// button
$icon_button     = $args['icon_button'];
$button_label 	 = $args['button_label'];

// custom taxonomy
$icon_custom_taxonomy        = $args['icon_custom_taxonomy'];
$custom_taxonomy_label 	     = $args['custom_taxonomy_label'];
$custom_taxonomy_placeholder = $args['custom_taxonomy_placeholder'];
$slug_custom_taxonomy        = $args['slug_custom_taxonomy'];
$slug_value_selected 		 = '';

if ( $slug_custom_taxonomy ) {
	$slug_value_selected = isset( $data_get[$slug_custom_taxonomy.'_name'] ) ? sanitize_text_field( $data_get[$slug_custom_taxonomy.'_name'] ) : 'all';
}

$ctx_slug_value_selected = isset( $args['ctx_slug_value_selected'] ) ? $args['ctx_slug_value_selected'] : '';

if ( $ctx_slug_value_selected ) {
	$slug_value_selected = $ctx_slug_value_selected;
}

if ( isset( $data_get[$slug_custom_taxonomy.'_name'] ) && sanitize_text_field( $data_get[$slug_custom_taxonomy.'_name'] ) ) {
	$slug_value_selected = sanitize_text_field( $data_get[$slug_custom_taxonomy.'_name'] );
}

$terms = get_taxonomy( $slug_custom_taxonomy );

// Taxonomies
$mutiple_custom_taxonomy 	= $args['mutiple_custom_taxonomy'];
$list_taxonomies 			= isset( $args['list_custom_taxonomy'] ) ? $args['list_custom_taxonomy'] : array();
$data_taxonomies 			= array();

if ( ! isset( $template ) ) $template = '';

?>

<div class="ovabrw-search ovabrw-search-<?php echo esc_attr($template);?>">

	<form action="<?php echo esc_url( $action ); ?>" method="<?php echo esc_attr( $method ); ?>" class="ovabrw-search-form">
		<div class="ovabrw-s-field">

            <?php if($template == 'template3') { ?>
                <div class="search-field-wrapper">
            <?php } ?>  	
               
	            <!-- time check in -->
				<div class="search-field">
					<div class="ovabrw-input">
						<div class="ovabrw-label">
							<?php 
							    if( $icon_check_in ) {
							    	\Elementor\Icons_Manager::render_icon( $icon_check_in, [ 'aria-hidden' => 'true' ] );
							    }     
						    ?>
							<span class="label"><?php echo esc_html( $check_in_label ); ?></span>
						</div>
						<input
							type="text"
							name="ovabrw_pickup_date" 
							value="<?php echo esc_attr( $ovabrw_pickup_date ); ?>"
							class="ovabrw_datetimepicker ovabrw_start_date" 
							placeholder="<?php echo esc_attr( $placeholder ); ?>" 
							autocomplete="off" 
							data-default_hour="<?php echo esc_attr( $default_hour_start ); ?>" 
							data-time_step="<?php echo esc_attr( $time_step ); ?>" 
							data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
							onkeydown="return false" 
							onfocus="blur();" 
							timepicker="<?php echo esc_attr( $show_time ); ?>"
			            />
					</div>
				</div>

				<?php if( ( $show_package === 'yes' ) && is_array( $package_items ) ) : ?>
	                <div class="search-field">
	                	<div class="ovabrw-input">
		                    <div class="ovabrw-label">
								<?php 
								    if( $icon_package ) {
								    	\Elementor\Icons_Manager::render_icon( $icon_package, [ 'aria-hidden' => 'true' ] );
								    }     
							    ?>
								<span class="label"><?php echo esc_html( $package_label ); ?></span>
							</div>
		                	<select name="ovabrw_package" id="ovabrw_package">
		                		<option value selected="selected">
		                			<?php echo esc_html( $package_placeholder ); ?>
		                		</option>

		                		<?php foreach( $package_items as $package_item) {
		                			if( $package_item['package_type'] === "day" ) {
		                		       	$value = $package_item['package_day_value']*24*60*60;
		                		    } elseif( $package_item['package_type'] === "hour" ) {
		                                $value = $package_item['package_hour_value']*60*60;  
		                            } elseif( $package_item['package_type'] === "fixed" ) {
		                                $value = $package_item['package_start_time'].'|'.$package_item['package_end_time'];
		                            }
		                		?>
			                		<option value="<?php esc_attr_e( $value ) ; ?>">
			                			<?php esc_html_e( $package_item['package_name'] ); ?>
			                		</option>
		                	    <?php }?>
	                	    </select>
	                    </div>
	                </div>
		        <?php endif; ?>

				<!-- time check out -->
				<?php if( ( $show_package !== 'yes' ) ) : ?>
				<div class="search-field">
					<div class="ovabrw-input">
						<div class="ovabrw-label">
							<?php 
							    if( $icon_check_out ) {
							    	\Elementor\Icons_Manager::render_icon( $icon_check_out, [ 'aria-hidden' => 'true' ] );
							    }     
						    ?>
							<span class="label"><?php echo esc_html( $check_out_label ); ?></span>
						</div>
						<input
							type="text"
							name="ovabrw_pickoff_date" 
							value="<?php echo esc_attr( $ovabrw_pickoff_date ); ?>"
							class="ovabrw_datetimepicker ovabrw_end_date" 
							placeholder="<?php echo esc_attr( $placeholder ); ?>" 
							autocomplete="off" 
							data-default_hour="<?php echo esc_attr( $default_hour_end ); ?>" 
							data-time_step="<?php echo esc_attr( $time_step ); ?>" 
							data-dateformat="<?php echo esc_attr( $dateformat ); ?>" 
							onkeydown="return false" 
							onfocus="blur();" 
							timepicker="<?php echo esc_attr( $show_time ); ?>"
			            />
					</div>
				</div>
				<?php endif; ?>

	            <!-- guest -->
	            <?php if ( $show_guests === 'yes' ): ?>
					<div class="search-field guestspicker-control">
						<div class="ovabrw-input ovabrw-guestspicker-content-wrapper">
							<div class="ovabrw-label">
								<?php 
								    if( $icon_guests ) {
								    	\Elementor\Icons_Manager::render_icon( $icon_guests, [ 'aria-hidden' => 'true' ] );
								    }     
							    ?>
								<span class="label"><?php echo esc_html( $guests_label ); ?></span>
							</div>
							<input 
					            type="number" 
					            class="ovabrw-guests" 
					            name="ovabrw_guests" 
					            value="<?php echo esc_attr( $guests ); ?>" 
					            min="<?php echo esc_attr( $min_guest ); ?>" 
					            max="<?php echo esc_attr( $max_guest ); ?>" 
					        />
						</div>
					</div>
				<?php endif; ?>

				 <?php if( !empty( $slug_custom_taxonomy ) && !empty( $terms ) ) : ?>
		            <!-- custom taxonomy -->
					<div class="search-field">
						<div class="ovabrw-label">
							<?php 
							    if( $icon_custom_taxonomy ) {
							    	\Elementor\Icons_Manager::render_icon( $icon_custom_taxonomy, [ 'aria-hidden' => 'true' ] );
							    }     
						    ?>
							<span class="label"><?php echo esc_html( $custom_taxonomy_label ); ?></span>
						</div>
						<div class="ovabrw-input search_in_taxonomy">
							<?php echo ovabrw_search_taxonomy_dropdown( $slug_custom_taxonomy, $custom_taxonomy_placeholder, $slug_value_selected, 'required' ); ?>
						</div>
					</div>
				<?php endif; ?>

				<!-- Taxonomies -->
				<?php if ( $mutiple_custom_taxonomy === 'yes' && ! empty( $list_taxonomies ) && is_array( $list_taxonomies ) ): ?>
					<?php foreach( $list_taxonomies as $data_taxonomy ):
						$item_slug_taxonomy 		= isset( $data_taxonomy['item_slug_taxonomy'] ) ? $data_taxonomy['item_slug_taxonomy'] : '';
						$item_icon_taxonomy 		= isset( $data_taxonomy['item_icon_taxonomy'] ) ? $data_taxonomy['item_icon_taxonomy'] : '';
						$item_taxonomy_label 		= isset( $data_taxonomy['item_taxonomy_label'] ) ? $data_taxonomy['item_taxonomy_label'] : '';
						$item_taxonomy_placeholder 	= isset( $data_taxonomy['item_taxonomy_placeholder'] ) ? $data_taxonomy['item_taxonomy_placeholder'] : '';

						if ( ! $item_slug_taxonomy ) continue;

						$item_slug_default 		= isset( $data_get[$item_slug_taxonomy.'_name'] ) ? sanitize_text_field( $data_get[$item_slug_taxonomy.'_name'] ) : 'all';
						$item_taxonomy_value 	= isset( $data_taxonomy['item_taxonomy_value_'.$item_slug_taxonomy] ) ? sanitize_text_field( $data_taxonomy['item_taxonomy_value_'.$item_slug_taxonomy] ) : '';

						if ( $item_taxonomy_value ) {
							$item_slug_default = $item_taxonomy_value;
						}

						if ( isset( $data_get[$item_slug_taxonomy.'_name'] ) && sanitize_text_field( $data_get[$item_slug_taxonomy.'_name'] ) ) {
							$item_slug_default = sanitize_text_field( $data_get[$item_slug_taxonomy.'_name'] );
						}

						$item_tern = get_taxonomy( $item_slug_taxonomy );
					?>
						<?php if ( $item_slug_taxonomy && ! empty( $item_tern ) ):
							array_push( $data_taxonomies, trim($item_slug_taxonomy) );
						?>
							<div class="search-field">
								<div class="ovabrw-label">
									<?php 
									    if ( $item_icon_taxonomy ) {
									    	\Elementor\Icons_Manager::render_icon( $item_icon_taxonomy, [ 'aria-hidden' => 'true' ] );
									    }     
								    ?>
									<span class="label"><?php echo esc_html( $item_taxonomy_label ); ?></span>
								</div>
								<div class="ovabrw-input search_in_taxonomy">
									<?php echo ovabrw_search_taxonomy_dropdown( $item_slug_taxonomy, $item_taxonomy_placeholder, $item_slug_default, 'required' ); ?>
								</div>
							</div>
				<?php endif; endforeach; endif; ?>

			<?php if($template == 'template3') { ?>
                </div>
            <?php } ?> 

			<!-- Search Button -->
			<div class="ovabrw-search-btn">
				<?php if ( isset( $args['search_result'] ) && ( 'default' == $args['search_result'] ) ): ?>
					<input type="hidden" name="ovabrw_search_product" value="ovabrw_search_product" />
					<input type="hidden" name="ovabrw_slug_custom_taxonomy" value="<?php echo esc_attr( $slug_custom_taxonomy ); ?>" />
					<input type="hidden" name="ovabrw_slug_taxonomies" value="<?php echo esc_attr( implode( '|', $data_taxonomies ) ); ?>" />
	                <input type="hidden" name="ovabrw_search" value="search_item" />
	                <input type="hidden" name="post_type" value="product" />
				<?php endif; ?>
				<button class="ovabrw-btn" type="submit">
					<?php 
						echo esc_html( $button_label );    
					    if( $icon_button ) {
					    	\Elementor\Icons_Manager::render_icon( $icon_button, [ 'aria-hidden' => 'true' ] );
					    }   
				    ?>
				</button>		
			</div>
		</div>
	</form>
</div>