<?php if( ! defined( 'ABSPATH' ) ) exit();

extract( $args );

$posts_per_page   = $args['posts_per_page'];
$args['method']   = 'POST';

$search_results_layout   = $args['search_results_layout'];
$grid_column   			 = $args['search_results_grid_column'];

// Filter Settings
$show_filter             = $args['show_filter'];
$tour_found_text         = $args['tour_found_text'];
$clear_filter_text       = $args['clear_filter_text'];

// list category
$args_product_categories = array(
    'taxonomy'   => "product_cat",
    'orderby' 	 => 'ID',
	'order' 	 => 'DESC',
);
$product_categories  = get_terms( $args_product_categories );

?>

<div class="ovabrw-search-ajax">
	<div class="wrap-search-ajax" 
	    data-guests="<?php echo esc_attr( $args['default_guest_number'] ) ;?>"
	    data-sort_by_default="<?php echo esc_attr( $args['sort_by_default'] ) ;?>"
	    data-grid_column="<?php echo esc_attr( $grid_column ) ;?>">
		
		<!-- Search -->
		<?php ovabrw_get_template('single/ovabrw_search.php', $args) ; ?>

	    <!-- Filter -->
		<?php if( $show_filter === 'yes') : ?>
	        <div class="ovabrw-tour-filter">
	        	
	        	<div class="left-filter">
	        		<span class="tour-found-text number-result-tour-found">
		        		<?php echo esc_html__( '0', 'ova-brw' ); ?>
		        	</span>
	        		<span class="tour-found-text">
		        		<?php echo esc_html( $tour_found_text ); ?>
		        	</span>
		        	<span class="clear-filter">
		        		<?php echo esc_html( $clear_filter_text ); ?>
		        	</span>
	        	</div>

	        	<div class="right-filter">
	        		<div class="filter-sort">

	        			<input type="text" class="input_select_input" name="sr_sort_by_label" value="<?php echo esc_html__('Sort by','ova-brw'); ?>" autocomplete="off" readonly="readonly">

						<input type="hidden" class="input_select_input_value" name="sr_sort_by" value="id_desc">

						<ul class="input_select_list" style="display: none;">
						    <li class="term_item <?php if( $sort_by_default == 'id_desc' ) { echo 'term_item_selected' ; } ?>" 
						    	data-id="id_desc" 
						    	data-value="<?php esc_attr_e('Sort by latest','ova-brw'); ?>"
						    >
							    <?php echo esc_html__('Latest','ova-brw'); ?>
							</li>
							<li class="term_item <?php if( $sort_by_default == 'rating_desc' ) { echo 'term_item_selected' ; } ?>" 
								data-id="rating_desc" 
								data-value="<?php esc_attr_e('Sort by rating','ova-brw'); ?>"
							>
								<?php echo esc_html__('Rating','ova-brw'); ?>
							</li>
							<li class="term_item <?php if( $sort_by_default == 'price_asc' ) { echo 'term_item_selected' ; } ?>" 
								data-id="price_asc" 
								data-value="<?php esc_attr_e('Sort by price: low to high','ova-brw'); ?>"
							>
								<?php echo esc_html__('Price: low to high','ova-brw'); ?>
							</li>
							<li class="term_item <?php if( $sort_by_default == 'price_desc' ) { echo 'term_item_selected' ; } ?>" 
								data-id="price_desc" 
								data-value="<?php esc_attr_e('Sort by price: high to low','ova-brw'); ?>"
							>
								<?php echo esc_html__('Price: high to low','ova-brw'); ?>
							</li>
						</ul>
					</div>

					<div class="asc_desc_sort">
	        			<i aria-hidden="true" class="asc_sort ovaicon ovaicon-upload"></i>
	        		    <i aria-hidden="true" class="desc_sort ovaicon ovaicon-download"></i>
	        		</div>

	        		<div class="filter-result-layout">
		        		<i aria-hidden="true" class="filter-layout <?php if( $search_results_layout == 'list' )  { echo 'filter-layout-active' ; } ?> ovaicon ovaicon-list" data-layout="list"></i>
						<i aria-hidden="true" class="filter-layout <?php if( $search_results_layout == 'grid' )  { echo 'filter-layout-active' ; } ?> ovaicon ovaicon-menu-3" data-layout="grid"></i>
					</div>
	         	</div>	
	        </div>
	    <?php endif; ?>

		<!-- Load more -->
		<div class="wrap-load-more" style="display: none;">
			<svg class="loader" width="50" height="50">
				<circle cx="25" cy="25" r="10" />
				<circle cx="25" cy="25" r="20" />
			</svg>
		</div>
		<!-- End load more -->

		<!-- Search result -->
		<?php if( $sort_by_default == 'id_desc' ) : ?>
			<div 
				id="brw-search-ajax-result" 
				class="brw-search-ajax-result" 
				data-order="DESC" 
				data-orderby="ID"
				data-orderby_meta_key="" 
				data-posts-per-page="<?php echo esc_attr( $posts_per_page ); ?>">
			</div>
		<?php elseif( $sort_by_default == 'rating_desc' ) :?>
            <div 
				id="brw-search-ajax-result" 
				class="brw-search-ajax-result" 
				data-order="DESC" 
				data-orderby="meta_value_num"
				data-orderby_meta_key="_wc_average_rating" 
				data-posts-per-page="<?php echo esc_attr( $posts_per_page ); ?>">
			</div>
		<?php elseif( $sort_by_default == 'price_asc' ) :?>
            <div 
				id="brw-search-ajax-result" 
				class="brw-search-ajax-result" 
				data-order="ASC" 
				data-orderby="meta_value_num"
				data-orderby_meta_key="_price" 
				data-posts-per-page="<?php echo esc_attr( $posts_per_page ); ?>">
			</div>
		<?php elseif( $sort_by_default == 'price_desc' ) :?>
            <div 
				id="brw-search-ajax-result" 
				class="brw-search-ajax-result" 
				data-order="DESC" 
				data-orderby="meta_value_num"
				data-orderby_meta_key="_price" 
				data-posts-per-page="<?php echo esc_attr( $posts_per_page ); ?>">
			</div>
		<?php endif; ?>
    </div>
</div>